[0.0.1]
- Hot Chocolate

[0.0.2]
- Hotfix appstore ui in webadim

[0.0.3]
- Tall Pike

[0.0.4]
- This will be 0.0.4 changes

[0.0.5]
- App install/configure route fixes

[0.0.6]
- Not sure what happenned here

[0.0.7]
- resetToken is now sent as part of create user
- Same as 0.0.7 which got released by mistake

[0.0.8]
- Manifest changes

[0.0.9]
- Fix app restore
- Fix backup issues

[0.0.10]
- Unknown orchestra

[0.0.11]
- Add ldap addon

[0.0.12]
- Support OAuth2 state

[0.0.13]
- Use docker image from cloudron repository

[0.0.14]
- Improve setup flow

[0.0.15]
- Improved Appstore view

[0.0.16]
- Improved Backup approach

[0.0.17]
- Upgrade testing
- App auto updates
- Usage graphs

[0.0.18]
- Rework backups and updates

[0.0.19]
- Graphite fixes
- Avatar and Cloudron name support

[0.0.20]
- Apptask fixes
- Chrome related fixes

[0.0.21]
- Increase nginx hostname size to 64

[0.0.22]
- Testing the e2e tests

[0.0.23]
- Better error status page
- Fix updater and backup progress reporting
- New avatar set
- Improved setup wizard

[0.0.24]
- Hotfix the ldap support

[0.0.25]
- Add support page
- Really fix ldap issues

[0.0.26]
- Add configurePath support

[0.0.27]
- Improved log collector

[0.0.28]
- Improve app feedback
- Restyle login page

[0.0.29]
- Update to ubuntu 15.04

[0.0.30]
- Move to docker 1.7

[0.0.31]
- WARNING: This update restarts your containers
- System processes are prioritized over apps
- Add ldap group support

[0.0.32]
- MySQL addon update

[0.0.33]
- Fix graphs
- Fix MySQL 5.6 memory usage

[0.0.34]
- Correctly mark apps pending for approval

[0.0.35]
- Fix ldap admin group username

[0.0.36]
- Fix restore without backup
- Optimize image deletion during updates
- Add memory accounting
- Restrict access to metadata from containers

[0.0.37]
- Prepare for Selfhosting 1. part
- Use userData instead of provisioning calls

[0.0.38]
- Account for Ext4 reserved block when partitioning disk

[0.0.39]
- Move subdomain management to the cloudron

[0.0.40]
- Add journal limit
- Fix reprovisioning on reboot
- Fix subdomain management during startup

[0.0.41]
- Finally bring things to a sane state

[0.0.42]
- Parallel apptask

[0.0.43]
- Move to systemd

[0.0.44]
- Fix apptask concurrency bug

[0.0.45]
- Retry subdomain registration

[0.0.46]
- Fix app update email notification

[0.0.47]
- Ensure box code quits within 5 seconds

[0.0.48]
- Styling fixes
- Improved session handling

[0.0.49]
- Fix app autoupdate logic

[0.0.50]
- Use domainmanagement via CaaS

[0.0.51]
- Fix memory management

[0.0.52]
- Restrict addons memory
- Get nofication about container OOMs

[0.0.53]
- Restrict addons memory
- Get notification about container OOMs
- Add retry to subdomain logic

[0.0.54]
- OAuth Proxy now uses internal port forwarding

[0.0.55]
- Setup cloudron timezone based on droplet region

[0.0.56]
- Use correct timezone in updater

[0.0.57]
- Fix systemd logging issues

[0.0.58]
- Ensure backups of failed apps are retained across archival cycles

[0.0.59]
- Installer API fixes

[0.0.60]
- Do full box backup on updates

[0.0.61]
- Track update notifications to inform admin only once

[0.0.62]
- Export bind dn and password from LDAP addon

[0.0.63]
- Fix creation of TXT records

[0.0.64]
- Stop apps in a retired cloudron
- Retry downloading application on failure

[0.0.65]
- Do not send crash mails for apps in development

[0.0.66]
- Readonly application and addon containers

[0.0.67]
- Fix email notifications
- Fix bug when restoring from certain backups

[0.0.68]
- Update graphite image
- Add simpleauth addon support

[0.0.69]
- Support newer manifest format
- Fix app listing rendering in chrome
- Fix redis backup across upgrades

[0.0.70]
- Retry app download on error

[0.0.71]
- Fix oauth and simple auth login

[0.0.72]
- Cleanup application volumes periodically
- New application logging design

[0.0.73]
- Update SSL certificate

[0.0.74]
- Support singleUser apps

[0.0.75]
- scheduler addon

[0.0.76]
- DNS Sync fixes
- Show warning to user when memory limit reached

[0.0.77]
- Do not set hostname in app containers

[0.0.78]
- Support custom domains

[0.0.79]
- Move SSH Port

[0.0.80]
- Use journalctl for container logs

[0.1.0]
- Wait for configuration changes before starting Cloudron

[0.1.1]
- Ensure dns config for all cloudrons

[0.1.2]
- Make email work again
- Add DKIM keys for custom domains

[0.1.3]
- Storage backend

[0.1.4]
- CaaS Backup configuration fix

[0.1.5]
- Use correct tokens for DNS backend

[0.1.6]
- Add hook to determine the api server of the box
- Fix crash notification

[0.2.0]
- New cloudron exec implementation

[0.2.1]
- Update to node 4.1.1
- Fix certification installation with custom domains

[0.2.2]
- Better debug output
- Retry more times if docker registry goes down

[0.3.0]
- Update SSH keys
- Allow bigger manifest files

[0.4.0]
- Update to docker 1.9.0

[0.4.1]
- Fix scheduler crash
- Crucial OAuth fixes

[0.4.2]
- Fix crash when reporting backup error
- Allow larger manifests

[0.4.3]
- Fix cloudron exec

[0.4.4]
- Initial Lets Encrypt integration

[0.4.5]
- Fixup nginx configuration to allow dynamic certificates

[0.4.6]
- LetsEncrypt integration for custom domains
- Rate limit crash emails

[0.5.0]
- Enable staging Lets Encrypt Integration

[0.5.1]
- Display error dialog for app installation errors
- Enable prod Lets Encrypt Integration
- Handle apptask crashes correctly

[0.5.2]
- Fix apphealthtask crash
- Use cgroup fs driver instead of systemd cgroup driver in docker

[0.5.3]
- Changes for e2e testing

[0.5.4]
- Fix bug in LE server selection

[0.5.5]
- Scheduler redesign
- Fix journalctl logging

[0.5.6]
- Prepare for selfhosting option

[0.5.7]
- Move app images off the btrfs subvolume

[0.6.0]
- Consolidate code repositories

[0.6.1]
- Use no-reply as email from address for apps in naked domains
- Update Lets Encrypt account with owner email when available
- Fix email templates to indicate auto update
- Add notification UI

[0.6.2]
- Fix `cloudron exec` container to have same namespaces as app
- Add developmentMode to manifest

[0.6.3]
- Make sending invite for new users optional

[0.6.4]
- Add support for display names
- Send invite links to admins for user setup
- Enforce stronger passwords

[0.6.5]
- Finalize stronger password requirement

[0.7.0]
- Upgrade to 15.10
- Do not remove docker images when in use by another container
- Fix sporadic error when reconfiguring apps
- Handle journald crashes gracefully

[0.7.1]
- Allow admins to edit users
- Fix graphs
- Support more LDAP cases
- Allow appstore deep linking

[0.7.2]
- Fix 5xx errors when password does not meet requirements
- Improved box update management using prereleases
- Less aggressive disk space checks

[0.8.0]
- MySQL addon : multiple database support

[0.8.1]
- Set Host HTTP header when querying healthCheckPath
- Show application Changelog in app update emails

[0.9.0]
- Fix bug in multdb mysql addon backup
- Add initial user group support
- Improved app memory limit handling

[0.9.1]
- Introduce per app group access control

[0.9.2]
- Fix bug where reconfiguring apps would trigger memory limit warning
- Allow more apps to be installed in bigger sized cloudrons
- Allow user to override memory limit warning and install anyway

[0.9.3]
- Admin flag is handled outside of groups
- User interface fixes for groups
- Allow to set access restrictions on app installation

[0.10.0]
- Upgrade to docker 1.10.2
- Fix MySQL addon to handle heavier loads
- Allow listing and download of backups (using the CLI tool)
- Ubuntu security updates till 8th March 2016 (http://www.ubuntu.com/usn)

[0.10.1]
- Fix Let's Encrypt certificate renewal

[0.10.2]
- Apps can now bind with username or email with LDAP
- Disallow updating an app with mismatching manifest id
- Use admin domain instead of naked domain in the SPF record
- Download Lets Encrypt intermediate cert

[0.10.3]
- Store the backup config for each backup. This will allow using multiple buckets/providers for backups simultaneously.
- Fix SPF record check

[0.10.4]
- Fix restore for droplets in EU region

[0.11.0]
- Store backups in the same region as the Cloudron
- Fix PCRE security issue (http://www.ubuntu.com/usn/usn-2943-1/)

[0.11.1]
- Improve the backup logic

[0.11.2]
- Allow users to choose a username on first sign up
- Fix app graphs

[0.12.0]
- Fix upload of large backups
- Postgres addon whitelists pg_trgm and hstore extensions
- Suppress boring update emails from patch releases
- Setup bounce alerts for emails
- Query admin's name in activation wizard
- Admin emails are now delivered as no-reply
- Fix crash when user attempts to set a duplicate email
- Improved mongodb crash recovery

[0.12.1]
- Fix crash when backing up apps

[0.12.2]
- Improved error handling for addons

[0.12.3]
- LDAP: Do not set sn attribute when user has no surname

[0.12.4]
- Install app only after platform is ready

[0.12.5]
- Get alerts for app task failures
- Fix update issue when one or more apps are in failed state

[0.12.6]
- Allow setting an alternate external domain for apps

[0.12.7]
- Fix changing password

[0.13.0]
- Upgrade to ubuntu 16.04
- Add event log

[0.13.1]
- Make activity log viewable to admins
- Fix geoip lookup

[0.13.2]
- Fix crash in app auto updater
- Fix crash with empty timezone

[0.13.3]
- Enable auth in email addon
- Add search for activity log
- Add tutorial for first time users

[0.13.4]
- Fix mail addon restart issue

[0.14.0]
- You have mail :-)

[0.14.1]
- 2-character usernames are now allowed
- Make cloudron CLI push/pull more robust

[0.14.2]
- Update mail addon

[0.15.0]
- [REST API](https://cloudron.io/references/api.html) is now in public beta
- Enable Developer mode by default for new Cloudrons
- Reverse proxy fixes for apps exposing a WebDav server
- Allow admins to optionally set the username and displayName on user creation
- Fix app autoupdate logic to detect if one or more in-use port bindings was removed

[0.15.1]
- Fix mail connectivity from IPv6 clients
- Add API token management UI
- Improved UI to enter email aliases

[0.15.2]
- Allow restoring apps from any previous backup

[0.15.3]
- Show installation progress in a tooltip

[0.16.0]
- Allow apps to be configured in configuring state
- Improved platform architecture that allows incremental infrastructure updates
- Implement app clone

[0.16.1]
- Fix UI layout issue in tokens page
- Resume app tasks only when configured and platform ready
- Allow errored apps to be reconfigured

[0.16.2]
- Fix assert when backing up apps in errored state
- Fix bug where multiple redis installations caused an error

[0.16.3]
- Timeout in 10mins if app restore fails because of external domain CNAME setup

[0.16.4]
- Setup email aliases to only alias names for the Cloudron domain

[0.16.5]
- Allow sending email with alias as the From

[0.16.6]
- Add plan migration interface
- Initial EC2 support

[0.17.0]
- Public beta release of Cloudron Mail Server
- Add new DNS & Certs UI that enables easy migration to a custom domain
- Allow sending and receiving email from alias subaddresses
- Fix installation issue with some apps on the naked domain

[0.17.1]
- Preliminary user impersonation support
- Fix crash in mail container when generating bounces

[0.17.2]
- Add config option to embed apps in other sites

[0.17.3]
- Incremental infrastructure update logic
- Keep eventlogs only for a week
- Throttle OOM mails

[0.17.4]
- Add warning for users moving to custom domains
- Out of disk space and certificate renewal mails are now sent to cloudron owner for selfhosters
- Fix a bug where selfhosted Cloudrons do not start because of a MySQL error
- Implement new app versioning & update scheme

[0.17.5]
- Fix migration interface issue
- Allow self hosted Cloudron to login to the Cloudron Store
- Send mail to self hosted Cloudron admins about OOM and App died errors
- Fix bug where box update emails are sent repeatedly

[0.18.0]
- Fix app bundle installation
- Fix RBL lookup in mail server
- Add spam filter for email

[0.19.0]
* New base image 0.19.0
* Upgrade PostgreSQL and MySQL

[0.19.1]
* Make email optional (settings -> enable/disable mail)
* Make PostgresSQL behave better in low memory cloudrons
* Add demo mode check
* Fix plan listing

[0.20.0]
* Fix bug where crash reports where not being sent to support@cloudron.io (#29)
* Do not overwrite existing DNS records during app installation (#27)
* Add UI to configure app's memory limit (#18)
* Fix OAuth proxy support (#6)

[0.20.1]
* Fix bug where oauth proxy was installed for apps with customAuth

[0.20.2]
* Fix memory limit slider to start from the minimum memory (#43)
* Save user certs separately from automatic certs (#44)
* Fix access control display for email apps (#45)

[0.20.3]
* Make DigitalOcean selfhosting independent

[0.21.0]
* Delivery of email to aliases is now case insensitive (#35)
* Mailing list support via Groups (#15)
* Fix issue where non-admin users could not update their profile

[0.21.1]
* Fix app clone error (mailbox was not allocated)
* Do not allow "-" in group names

[0.22.0]
* Rebuild server instances instead of recreating

[0.50.0]
* Add UI to configure backup location
* Add DNS backend to make it easy to run on any server with SSH access
* Update wildcard certificate
* Fix crash in mail container with SPF plugin
* Fix postgresql addon to restore correctly
* Periodically cleanup file system backups
* Improve invitation emails
* Fix bug where mailbox name was generated incorrectly for nake domain (#81)

[0.60.0]
* Implement new approach to selfhosting. `cloudron machine create` is now deprecated.
  Please see the [selfhosting guide](https://cloudron.io/references/selfhosting.html)
  for more details
* Send email to admins if backup fails
* Add UI to set digitalocean as DNS provider

[0.60.1]
* Apply less strict hostname checking for email
* Fix bug in Cloudron plan listing
* Improved storage provider interface

[0.70.0]
* Remove standalone installer daemon

[0.70.1]
* Add additional platform healthcheck

[0.80.0]
* Add optional SSO for apps
* Improve app status page
* Several webinterface improvements

[0.80.1]
* Improved DNS handling
* Better error messages in UI

[0.90.0]
* Remove customAuth support
* Support non AWS S3 object storage
* Settings UI improvements

[0.91.0]
* Support installing Cloudron on intranet and VirtualBox
* Fix bug where relocating an app did not free the old location
* Allow Email server to be enabled with wildcard DNS

[0.92.0]
* Backup encryption key is now optional
* Fix bug where DNS mail record warning was shown by mistake
* Make cloudron-setup finish with `manual` DNS provider

[0.92.1]
* Remove DO specific grub cmd line
* Fix License text

[0.93.0]
* Smoother upgrades

[0.94.0]
* Cloudron domain can now be set after installation
* Backups are now organized by directory
* Document upgrading from Filesystem backend
* Send certificate renewal errors, OOM errors to cloudron admins
* Email bounce alerts are sent to the Cloudron owner

[0.94.1]
* Suppress upgrade emails
* Enable unattended upgrades
* Standardize on using devicemapper for docker storage backend
* Show detailed backup progress
* Fix DNSBL issue in mail container
* Fix issue where bounce emails were not sent to aliases
* Remove tutorial
* Restart mail container on certificate change

[0.97.0]
* Fix missing app icon issue
* Fix issue where box sends out crash reports incessantly
* (API) Allow memory limit to be set to -1 (unlimited)
* (API) Move developmentMode flag from manifest to apps route

[0.98.0]
* Send stat on whether email is enabled
* Fix bug where heartbeat was sent for self-hosted Cloudrons
* Make Cloudron function even when disk is full
* Fix thunderbird connection issue
* Send more detailed logs for backup failures
* Restart nginx if it crashed automatically
* Support all DNS providers for managed Cloudrons
* Add granular configuration for auto-updates

[0.99.0]
* Fix bug where ports <= 1023 were not reserved
* Cleanup graphs UI
* Polish webadmin UI
* Fix bug where hard disk size was detected incorrectly

[0.99.1]
* Fix bug with duplicate nginx configs

[0.100.0]
* Improve DNS notifications for email
* Do not enable HSTS for subdomains

[0.100.1]
* Fix crash when fetching mail records
* Fix crash in LDAP server when username and displayName are empty

[0.101.0]
* New base image 0.10.0
* Better error handling of unpurchase errors
* Validate that cloudron domain name is a subdomain of public suffic list
* Add canada and london to S3 backup regions
* Bundle Font Awesome as part of webadmin
* Fix crash in custom certiicate validation
* Get A+ rating in SSL Check
* More robust detection and injection of SPF record
* Add azure, lightsail, linode, ovh, vultr to provider list

[0.102.0]
* Fix issue where SPF record check was only done 5 times (updated 'async')
* Make auto-generated self-signed cert load quickly on Firefox
* Ensure we download docker images and have an app data volume on app re-configure
* Improve certificate renewal erorr message
* Fix disk usage graph
* Show Repair UI for errored apps

[0.102.1]
* Add terms link when signing up for Cloudron.io account
* Fix issue where Cloudrons with many apps (> 35) were unable to backup
* Improve wording of DNS Setup

[0.103.0]
* Do not send crash logs and other notifications to support@cloudron.io for self-hosted instances
* Make auto-generated self-signed cert load quickly on Firefox (take 2)

[0.104.0]
* (mail) Fix crash when sending mails to groups with just 1 user
* (ldap) Add isadmin attribute to better map users in apps
* (ldap) Hide users which have not yet set a username in ldap searches
* (core) Add SSH authorized_keys management
* (core) Add additional security related headers to the nginx reverse proxy
* (ui) Add remote SSH support option
* (ui) Fix eventlog display
* (ui) Fix CNAME setup information

[0.105.0]
* Always show email related checks
* Show outbound SMTP port 25 status
* Hide remote feature for normal users
* Only list users via ldap searches who have access to the app
* Fix installation issue on servers with a differente locale set

[0.105.1]
* Fix crash when setupToken is not provided in activate API
* Add inline Docker GPG key
* Re-download icon when repairing app
* Fix issue where pre-installed apps were not installed correctly
* Fix issue where new cloudrons could not be activated

[0.106.0]
* (mail) Fix email forwarding to external domains
* (mail) Set maximum email size to 25MB
* Remove SimpleAuth addon

[0.107.0]
* Support CSP for webinterface and OAuth views
* (mail) Fix issue where Cloudron is only used to send emails

[0.108.0]
* Redirect to /setupdns.html when restoring
* Fix setting custom avatar
* Do not allocate more than 4GB swap
* Generate real passwords for sendmail/recvmail addons
* Rate limit all authentication routes to prevent password brute force
* Generate 128 byte password for MySQL multi-db addon

[0.109.0]
* Add Referrer-policy
* Add tooltip for admin email field explaining it is local & private
* Verify AMI instance id during DNS setup instead of admin account setup
* Split platform and app data folders and get rid of btrfs volumes

[0.110.0]
* Fix disk usage graphs
* Add --data-dir to cloudron-setup that allows customizing data location
* Add UI to restore from any app backup
* (mysql) Use utf8mb4 encoding for databases and backups
* Allow installing a new app from a backup
* Fix download of large files (> 1GB)
* Fix app backup regression

[0.120.0]
* Update Docker to 17.03.1-ce
* Rework backup backend logic
* Add UI to download logs
* Fix crash when checking mail dns settings
* Allow backup retention duration to be configured
* Add minio backend for backups
* Fix issue where Cloudron's with errored apps won't backup when using fs backend
* Fix DNS check issue where PTR records was read from hosts file

[0.120.1]
* Fix managed Cloudron backup cleanup

[0.130.0]
* Use Cloudron DNS server only for containers created by Cloudron
* Make Cloudron always start even if DNS credentials are invalid
* Show warning if DNS configuration is not valid
* Drop the '.enc' extension for non-encrypted backups
* Do not encrypt backups when the backup key is empty
* Do a multipart S3 download for slow internet connections
* Support naked domains as external location

[0.130.1]
* Fix app configure dialog regression

[0.130.2]
* Fix app configure dialog regression and dns setup screen

[0.130.3]
* Show error message if setup fails due to reserved username
* (security) Do not print password in the logs in the configure route
* Fix restore of unencrypted backups
* Fix bug where FS backups have incorrect extension for unencrypted backups

[0.140.0]
* HTTP2 support
* Condense the dns checks in the settings view
* Document new app store submission guidelines

[0.150.0]
* Disable dnsmasq on OVH
* Scale redis memory based on the app's memory limit
* (security) Do not print the ssl cert in debug logs
* Add noop storage backend to temporarily disable backups
* Replace native-dns module with dig to prevent spurious crashes
* Cleanup unfinished and errored backups
* Set a timelimit of 4 hours for backup to finish

[0.160.0]
* Fix disk graphs when using device mapper
* Prevent email view from flickering
* Prepare for 1.0

[1.0.0]
* Make selfhosting great again

[1.0.1]
* Notification improvements

[1.0.2]
* Notification improvements

[1.1.0]
* Add support for email catch-all
* Support Cloudrons on subdomains

[1.1.1]
* Notification improvements

[1.1.2]
* Notification improvements

[1.1.3]
* Notification improvements

[1.2.0]
* Relay emails optionally via external SMTP server email (mailgun, sendgrid etc)
* (experimental) Preserver the docker storage driver across updates
* Reduce mysql password length to 48

[1.2.1]
* Set max ttl of unbound to 5 minutes
* Fix issue where mail container does not cleanup LDAP connections properly
* Update node to 6.11.1

[1.3.0]
* Add option to configure robots.txt for each app from the web interface
* Make sure zoneName is not lost across updates
* Save manually triggered app backups under a datetime prefix
* Optionally disable FROM validation check in the mail container. This will allow apps to send emails with arbitrary FROM addresses
* Set X-Forwarded-Port in the reverse proxy. This fixes a problem with plugins of certain apps (like Jetpack)
* Send a weekly activity digest about pending and applied Cloudron and app updates

[1.4.0]
* (mail) Update Haraka to 2.8.14. Contains many stability fixes
* Exoscale SOS can now be used for backup storage
* Fix cron pattern that made Cloudron erroneously send out weekly digest mails every hour on wednesday
* Add Cloudflare DNS backend (thanks @abhishek)
* Ensure Cloudron is only be installed on EXT4 root file system (required by Docker)
* Mark app package major releases as blocking and require approval by Cloudron admin

[1.4.1]
* Do not display backup region when using minio and exoscale SOS
* Fix javascript error in email view
* Add html version of the digest email
* Fix issue where collectd was collecting information about devicemapper mounts

[1.5.0]
* Update node to 6.11.2
* Add a new view to display platform and app logs
* Rework web UI to use flexbox
* Add motd message to warn admins that to not run 'apt upgrade'
* Switch default storage backend for new Cloudrons to overlay2
* Add a custom graphite plugin to collect disk usage statistics
* Rotate logs of all apps automatically

[1.6.0]
* Allow apps to have 'network' capability (thanks @mehdi)
* Fix crash in collectd disk usage collection script
* Fix layout issues in update and oauth views
* Use maxsize rule instead of size in lograte configs
* Make it possible to skip backups per-app
* Hide restore button for noop backend
* Add popups and warnings for noop backend
* Add webterminal to shell into apps from the admin UI
* Update Haraka for a few crash fixes

[1.6.1]
* Patch release for 1.6.0 to fix regressions
* Allow apps to have 'network' capability (thanks @mehdi)
* Fix crash in collectd disk usage collection script
* Fix layout issues in update and oauth views
* Use maxsize rule instead of size in lograte configs
* Make it possible to skip backups per-app
* Hide restore button for noop backend
* Add popups and warnings for noop backend
* Add webterminal to shell into apps from the admin UI
* Update Haraka for a few crash fixes

[1.6.2]
* Allow apps to have 'network' capability (thanks @mehdi)
* Fix crash in collectd disk usage collection script
* Fix layout issues in update and oauth views
* Use maxsize rule instead of size in lograte configs
* Make it possible to skip backups per-app
* Hide restore button for noop backend
* Add popups and warnings for noop backend
* Add webterminal to shell into apps from the admin UI
* Update Haraka for a few crash fixes

[1.6.3]
* Fixes selection issue while clicking on empty flexbox space
* Indicate directories can be downloaded in the web terminal
* Do not show app update indicator for normal users
* Display email notice when using Cloudflare DNS
* Set MX records correctly when using Cloudflare DNS
* Fix bug where webterminal can incorrectly appear in main view
* Do not crash if DNS credentials are invalid

[1.6.4]
* More descriptive Postmark email relay form
* Fix file upload in chrome
* Support Ctrl/Cmd+v webterminal pasting
* Ensure unbound always starts up
* Add option to run app in repair mode

[1.6.5]
* DigitalOcean DNS: Add pagination
* Cloudflare DNS: Optimize listing of DNS entries
* Update node to 6.11.3
* App volumes can now be symlinked individually to external storage
* Periodically check if IP is blacklisted and notify admins
* Do not ask password when re-configuring app (since it is non-destructive)
* Move mail data inside boxdata directory. This makes the no-op backend more useful
* Remove collectd stats when app is uninstalled

[1.7.0]
* Add rsync format for backups. This feature allows incremental backups
* Add Google DNS backend (thanks @syn)
* Add DigitalOcean spaces backup storage backend
* Add Cloudscale and Exoscale as supported VPS providers
* Display backup progress and status in the web interface
* Preliminary IPv6 support
* Add IP RBL status to web interface
* Add auto-update pattern `Every wednesday night`
* Update Haraka to 2.8.15. This fixes the issue where emails were bounced with the message 'Send MAIL FROM first'
* Do not overwrite existing subdomain when app's location is changed
* Add button to send test email
* Fix crash in carbon which made graphs disappear on some Cloudrons

[1.7.1]
* Add rsync format for backups. This feature allows incremental backups
* Add Google DNS backend (thanks @syn)
* Add DigitalOcean spaces backup storage backend
* Add Cloudscale and Exoscale as supported VPS providers
* Display backup progress and status in the web interface
* Preliminary IPv6 support
* Add IP RBL status to web interface
* Add auto-update pattern `Every wednesday night`
* Update Haraka to 2.8.15. This fixes the issue where emails were bounced with the message 'Send MAIL FROM first'
* Do not overwrite existing subdomain when app's location is changed
* Add button to send test email
* Fix crash in carbon which made graphs disappear on some Cloudrons

[1.7.2]
* Add rsync format for backups. This feature allows incremental backups
* Add Google DNS backend (thanks @syn)
* Add Cloudscale and Exoscale as supported VPS providers
* Display backup progress and status in the web interface
* Preliminary IPv6 support
* Add IP RBL status to web interface
* Add auto-update pattern `Every wednesday night`
* Update Haraka to 2.8.15. This fixes the issue where emails were bounced with the message 'Send MAIL FROM first'
* Do not overwrite existing subdomain when app's location is changed
* Add button to send test email
* Fix crash in carbon which made graphs disappear on some Cloudrons
* Fix issue where OAuth SSO did not work when alternate domain was used

[1.7.3]
* Add rsync format for backups. This feature allows incremental backups
* Add Google DNS backend (thanks @syn)
* Add Cloudscale and Exoscale as supported VPS providers
* Display backup progress and status in the web interface
* Preliminary IPv6 support
* Add IP RBL status to web interface
* Add auto-update pattern `Every wednesday night`
* Update Haraka to 2.8.15. This fixes the issue where emails were bounced with the message 'Send MAIL FROM first'
* Do not overwrite existing subdomain when app's location is changed
* Add button to send test email
* Fix crash in carbon which made graphs disappear on some Cloudrons
* Fix issue where OAuth SSO did not work when alternate domain was used

[1.7.4]
* Add rsync format for backups. This feature allows incremental backups
* Add Google DNS backend (thanks @syn)
* Add DigitalOcean spaces backup storage backend
* Add Cloudscale and Exoscale as supported VPS providers
* Display backup progress and status in the web interface
* Preliminary IPv6 support
* Add IP RBL status to web interface
* Add auto-update pattern `Every wednesday night`
* Update Haraka to 2.8.15. This fixes the issue where emails were bounced with the message 'Send MAIL FROM first'
* Do not overwrite existing subdomain when app's location is changed
* Add button to send test email
* Fix crash in carbon which made graphs disappear on some Cloudrons
* Fix issue where OAuth SSO did not work when alternate domain was used
* Changelog is now rendered in markdown format

[1.7.5]
* Expose a TLS relay port from mail container for Go applications

[1.7.6]
* Port bindings cannot be configured in update route anymore
* Implement LDAP group compare
* Pre-releases are now offered by appstore and not handled in box code anymore
* LDAP pagination support. This will fix the warnings in NextCloud and Rocket.Chat
* Check if directories can be created in the backup directory
* Do not set the HTTPS agent when using HTTP with minio backup backend
* Fix regression where a new domain config could not be set in the UI
* New mail container release that fixes email sending with SOGo
* Show 404 page for unknown domains

[1.7.7]
* Allow setting app memory till memory limit
* Make the dkim selector dynamic
* Fix issue where app update dialog did not close
* Fix LE cert renewal failures
* Send user and cert info in digest emails
* Send oom, app failures and other important mails to cloudron owner's alt mail

[1.8.0]
* Fix group email bounce when a group has users that have not signed up yet
* Do not restrict app memory limit to 4GB
* Fix display of the latest backup in the weekly digest
* Add UI to select users for access restriction
* Update docker to 17.09
* Update node to 6.11.5
* Display package version of installed apps in the info dialog

[1.8.1]
* Update node modules
* Allow a restore operation if app is already restoring
* Remove pre-install bundle support since it was hardly used
* Make the test email mail address configurable
* Allow admins to access all apps
* Send feedback via appstore API (instead of email)
* Show documentation URL in the app info dialog
* Update Lets Encrypt agrement URL (https://letsencrypt.org/documents/LE-SA-v1.2-November-15-2017.pdf)

[1.8.2]
* Update node modules
* Allow a restore operation if app is already restoring
* Remove pre-install bundle support since it was hardly used
* Make the test email mail address configurable
* Allow admins to access all apps
* Send feedback via appstore API (instead of email)
* Show documentation URL in the app info dialog
* Update Lets Encrypt agrement URL (https://letsencrypt.org/documents/LE-SA-v1.2-November-15-2017.pdf)

[1.8.3]
* Ensure domain database record exists

[1.8.4]
* Fix issue where internal email was not delivered when email relay is enabled
* Fix display of DNS records when email relay is enabled

[1.8.5]
* Fix issues where unused addons were not cleaned on an app update causing uninstall to fail
* Change UI text from 'Waiting' to 'Pending'

[1.9.0]
* Prepare Cloudron for supporting multiple domains
* Add Cloudron restore UI
* Do not put app in errored state if backup fails
* Display backup progress in CaaS
* Add Google Cloud Storage backend for backups
* Update node to 8.9.3 LTS
* Set max email recepient limit (in outgoing emails) to 500

[1.9.1]
* Prepare Cloudron for supporting multiple domains
* Add Cloudron restore UI
* Do not put app in errored state if backup fails
* Display backup progress in CaaS
* Add Google Cloud Storage backend for backups
* Update node to 8.9.3 LTS
* Set max email recepient limit (in outgoing emails) to 500
* Put terminal and app logs viewer to separate window

[1.9.2]
* Prepare Cloudron for supporting multiple domains
* Add Cloudron restore UI
* Do not put app in errored state if backup fails
* Display backup progress in CaaS
* Add Google Cloud Storage backend for backups
* Update node to 8.9.3 LTS
* Set max email recepient limit (in outgoing emails) to 500
* Put terminal and app logs viewer to separate window

[1.9.3]
* Prepare Cloudron for supporting multiple domains
* Add Cloudron restore UI
* Do not put app in errored state if backup fails
* Display backup progress in CaaS
* Add Google Cloud Storage backend for backups
* Update node to 8.9.3 LTS
* Set max email recepient limit (in outgoing emails) to 500
* Put terminal and app logs viewer to separate window

[1.9.4]
* Fix typo causing LE cert renewals to fail

[1.10.0]
* Migrate mailboxes to support multiple domains
* Update addon containers to latest versions
* Add DigitalOcean Spaces region Singapore 1 (SGP1)
* Configure Exoscale SOS to use new SOS NG endpoint
* Fix S3 storage backend CopySource encoding rules

[1.10.1]
* Migrate mailboxes to support multiple domains
* Update addon containers to latest versions
* Add DigitalOcean Spaces region Singapore 1 (SGP1)
* Configure Exoscale SOS to use new SOS NG endpoint
* Fix S3 storage backend CopySource encoding rules

[1.10.2]
* Migrate mailboxes to support multiple domains
* Update addon containers to latest versions
* Add DigitalOcean Spaces region Singapore 1 (SGP1)
* Configure Exoscale SOS to use new SOS NG endpoint
* Fix S3 storage backend CopySource encoding rules

[1.11.0]
* Update Haraka to 2.8.17 to fix various crashes
* Report dependency error for clone if backup or domain was not found
* Enable auto-updates for major versions

[2.0.0]
* Multi-domain support
* Update Haraka to 2.8.18
* Split box and app autoupdate pattern settings
* Stop and disable any pre-installed postfix server
* Migrate altDomain as a manual DNS provider
* Use node's native dns resolve instead of dig
* DNS records can now be a A record or a CNAME record
* Fix generation of fallback certificates to include naked domain
* Merge multi-string DKIM records
* scheduler: do not start cron jobs all at once
* scheduler: give cron jobs a grace period of 30 minutes to complete

[2.0.1]
* Multi-domain support
* Update Haraka to 2.8.18
* Split box and app autoupdate pattern settings
* Stop and disable any pre-installed postfix server
* Migrate altDomain as a manual DNS provider
* Use node's native dns resolve instead of dig
* DNS records can now be a A record or a CNAME record
* Fix generation of fallback certificates to include naked domain
* Merge multi-string DKIM records
* scheduler: do not start cron jobs all at once
* scheduler: give cron jobs a grace period of 30 minutes to complete
* Rework the eventlog view
* App clone now clones the robotsTxt and backup settings

[2.1.0]
* Make S3 backend work reliably with slow internet connections
* Update docker to 18.03.0-ce
* Finalize the Email and Mailbox API
* Move mailbox settings from users to email view
* mail: fix issue where hosts with valid SPF for a Cloudron domain are unable to send mail to Cloudron
* mail: fix crash when bounce emails have a null sender
* Add CSP header for dashboard
* Add support for installing private docker images

[2.1.1]
* Make S3 backend work reliably with slow internet connections
* Update docker to 18.03.0-ce
* Finalize the Email and Mailbox API
* Move mailbox settings from users to email view
* mail: fix issue where hosts with valid SPF for a Cloudron domain are unable to send mail to Cloudron
* mail: fix crash when bounce emails have a null sender
* Add CSP header for dashboard
* Add support for installing private docker images

[2.2.0]
* Add 2FA support for the admin dashboard
* Cleanup scope management in REST API
* Enhance user creation API to take a password
* Relax restriction on mailbox names now that it is decoupled from user management

[2.2.1]
* Add 2FA support for the admin dashboard
* Add Gandi & GoDaddy DNS providers
* Fix zone detection logic on Route53 accounts with more than 100 zones
* Warn using when disabling email
* Cleanup scope management in REST API
* Enhance user creation API to take a password
* Relax restriction on mailbox names now that it is decoupled from user management
* Fix issue where mail container incorrectly advertised CRAM-MD5 support

[2.3.0]
* Add Name.com DNS provider
* Fix issue where account setup page was crashing
* Add advanced DNS configuration UI
* Preserve addon/database configuration across app updates and restores
* ManageSieve port now offers STARTTLS

[2.3.1]
* Add Name.com DNS provider
* Fix issue where account setup page was crashing
* Add advanced DNS configuration UI
* Preserve addon/database configuration across app updates and restores
* ManageSieve port now offers STARTTLS
* Allow mailbox name to be set for apps
* Rework the Email server UI
* Add the ability to manually trigger a backup of an application
* Enable/disable mail from validation within UI
* Allow setting app visibility for non-SSO apps
* Add Clone UI

[2.3.2]
* Fix issue where multi-db apps were not provisioned correctly
* Improve setup, restore views to have field labels

[2.4.0]
* Use custom logging backend to have more control over log rotation
* Make user explicitly confirm that fs backup dir is on external storage
* Update node to 8.11.2
* Update docker to 18.03.1
* Fix docker exec terminal resize issue
* Make the mailbox name follow the apps new location, if the user did not set it explicitly
* Add backups view

[2.4.1]
* Use custom logging backend to have more control over log rotation
* Mail logs and box logs UI
* Make user explicitly confirm that fs backup dir is on external storage
* Update node to 8.11.2
* Update docker to 18.03.1
* Fix docker exec terminal resize issue
* Make the mailbox name follow the apps new location, if the user did not set it explicitly
* Add backups view

[3.0.0]
* Support alternate app domains with redirects
* Allow hyphen in mailbox names
* Fix issue where the UI timesout when relay server is not reachable
* Add support for personal spaces
* Add UI to edit users in the groups dialog
* Add UI to set groups when creating a user
* Open logs and terminal in a new tab instead of a window
* Add button to view backup logs
* Add Mailjet mail relay support
* Encryption support for incremental backups
* Display restore errors in the UI
* Update Haraka to 2.8.19
* GPG verify releases
* Allow subdomains in location field

[3.0.1]
* Support alternate app domains with redirects
* Allow hyphen in mailbox names
* Fix issue where the UI timesout when relay server is not reachable
* Add support for personal spaces
* Add UI to edit users in the groups dialog
* Add UI to set groups when creating a user
* Open logs and terminal in a new tab instead of a window
* Add button to view backup logs
* Add Mailjet mail relay support
* Encryption support for incremental backups
* Display restore errors in the UI
* Update Haraka to 2.8.19
* GPG verify releases
* Allow subdomains in location field

[3.0.2]
* Fix issue where normal users are shown apps they don't have access to
* Re-configure email apps when email is enabled/disabled

[3.1.0]
* Add UDP support
* Clicking invite button does not send an invite immediately
* Implement docker addon
* Automatically login after password reset and account setup
* Make backup interval configurable
* Fix alternate domain certificate renewal

[3.1.1]
* Fix caas domain migration

[3.1.2]
* Add UDP support
* Clicking invite button does not send an invite immediately
* Implement docker addon
* Automatically login after password reset and account setup
* Make backup interval configurable
* Fix alternate domain certificate renewal
* API token can now have a name

[3.1.3]
* Prevent dashboard domain from being deleted
* Add alternateDomains to app install route
* cloudflare: Fix crash when access denied

[3.1.4]
* Fix issue where support tab was redirecting

[3.2.0]
* Add DO Spaces SFO2 region
* Wildcard DNS now validates the config
* Add ACMEv2 support
* Add Wildcard Let's Encrypt provider

[3.2.1]
* Add acme2 support. This provides DNS based validation removing inbound port 80 requirement
* Add support for wildcard certificates
* Allow mailbox name to be reset to the buit-in '.app' name
* Fix permission issue when restoring a Cloudron
* Fix a crash when restoring Cloudron
* Allow alternate domains to be set in app installation REST API
* Add SFO2 region for DigitalOcean Spaces
* Show the title in port bindings instead of the long description

[3.2.2]
* Update Haraka to 2.8.20
* (mail) Fix issue where LDAP connections where not cleaned up

[3.3.0]
* Use new addons with REST APIs
* Ubuntu 18.04 LTS support
* Custom env vars can be set per application
* Add a button to renew certs
* Add better support for private builds
* cloudflare: Fix crash when using bad email
* cloudflare: HTTP proxying works now
* add new exoscale-sos regions
* Add UI to toggle dynamic DNS
* Add support for hyphenated subdomains

[3.3.1]
* Use new addons with REST APIs
* Ubuntu 18.04 LTS support
* Custom env vars can be set per application
* Add a button to renew certs
* Add better support for private builds
* cloudflare: Fix crash when using bad email
* cloudflare: HTTP proxying works now
* add new exoscale-sos regions
* Add UI to toggle dynamic DNS
* Add support for hyphenated subdomains

[3.3.2]
* Use new addons with REST APIs
* Ubuntu 18.04 LTS support
* Custom env vars can be set per application
* Add a button to renew certs
* Add better support for private builds
* cloudflare: Fix crash when using bad email
* cloudflare: HTTP proxying works now
* add new exoscale-sos regions
* Add UI to toggle dynamic DNS
* Add support for hyphenated subdomains
* Add domain, mail events to eventlog

[3.3.3]
* Use new addons with REST APIs
* Ubuntu 18.04 LTS support
* Custom env vars can be set per application
* Add a button to renew certs
* Add better support for private builds
* cloudflare: Fix crash when using bad email
* cloudflare: HTTP proxying works now
* add new exoscale-sos regions
* Add UI to toggle dynamic DNS
* Add support for hyphenated subdomains
* Add domain, mail events to eventlog

[3.3.4]
* Use new addons with REST APIs
* Ubuntu 18.04 LTS support
* Custom env vars can be set per application
* Add a button to renew certs
* Add better support for private builds
* cloudflare: Fix crash when using bad email
* cloudflare: HTTP proxying works now
* add new exoscale-sos regions
* Add UI to toggle dynamic DNS
* Add support for hyphenated subdomains
* Add domain, mail events to eventlog

[3.4.0]
* Improve error page
* Add system view to manage addons and view their status
* Fix iconset regression for account and Cloudron name edits
* Add server reboot button and warn if reboot is required for security updates
* Backup and update tasks are now cancelable
* Move graphite away from port 3000 (reserved by ESXi)
* Flexible mailbox management
* Automatic updates can be toggled per app

[3.4.1]
* Improve error page
* Add system view to manage addons and view their status
* Fix iconset regression for account and Cloudron name edits
* Add server reboot button and warn if reboot is required for security updates
* Backup and update tasks are now cancelable
* Move graphite away from port 3000 (reserved by ESXi)
* Flexible mailbox management
* Automatic updates can be toggled per app

[3.4.2]
* Improve error page
* Add system view to manage addons and view their status
* Fix iconset regression for account and Cloudron name edits
* Add server reboot button and warn if reboot is required for security updates
* Backup and update tasks are now cancelable
* Move graphite away from port 3000 (reserved by ESXi)
* Flexible mailbox management
* Automatic updates can be toggled per app

[3.4.3]
* Improve error page
* Add system view to manage addons and view their status
* Fix iconset regression for account and Cloudron name edits
* Add server reboot button and warn if reboot is required for security updates
* Backup and update tasks are now cancelable
* Move graphite away from port 3000 (reserved by ESXi)
* Flexible mailbox management
* Automatic updates can be toggled per app
* Fix issue where OOM mails are sent out without a rate limit

[3.5.0]
* Add UI to switch dashboard domain
* Fix remote support button to not remove misparsed ssh keys
* cloudflare: preseve domain proxying status
* Fix issue where oom killer might kill the box code or the updater
* Add contabo and netcup as supported providers
* Allow full logs to be downloaded
* Update Haraka to 2.8.22
* Log events in the mail container
* Fix issue where SpamAssassin and SPF checks were run for outbound email
* Improve various eventlog messages
* Track dyndns change events
* Add new S3 regions - Paris/Stockholm/Osaka
* Retry errored downloads during restore
* Add user pagination UI
* Add namecheap as supported DNS provider

[3.5.1]
* Add dashboard domain change event
* Fix issue where notification email were sent from incorrect domain
* Alert about configuration issues in the notification UI
* Switching dashboard domain now updates MX, SPF records
* Mailbox and lists UI is now always visible (but disabled) when incoming email is disabled
* Fix issue where long passwords were not accepted
* DNS and backup credential secrets are not returned in API calls anymore
* Send notification when an app that went down, came back up

[3.5.2]
* Fix encoding of links in plain text email
* Hide mail relay password
* Do not return API tokens in REST API

[3.5.3]
* Make reboot required check server side
* Update node to 10.15.1
* Enable gzip compression for large objects
* Update docker to 18.09
* Add a way to lock specific settings
* Add UI to copy app's backup id
* Block platform updates based on app manifest constraints
* Make crash logs viewable via the dashboard
* Fix issue where uploading of filenames with brackets and plus was not working
* Add notification for cert renewal and backup failures
* Fix issue where mail container was not updated with the latest certificate

[3.5.4]
* Make reboot required check server side
* Update node to 10.15.1
* Enable gzip compression for large objects
* Update docker to 18.09
* Add a way to lock specific settings
* Add UI to copy app's backup id
* Block platform updates based on app manifest constraints
* Make crash logs viewable via the dashboard
* Fix issue where uploading of filenames with brackets and plus was not working
* Add notification for cert renewal and backup failures
* Fix issue where mail container was not updated with the latest certificate

[4.0.0]
* (mail) Bump mail_max_userip_connections to 50
* Fix issue where DKIM was not setup correctly during a restore
* (mysql) Remove any stale lock file on restart
* Add a way to disable outbound mail for a domain
* Cleanup task logs
* Fix issue where dashboard location might conflict with existing app location
* Ad graphite to services
* Add labels and tags to apps
* Ensure MySQL is storing data/time in UTC
* Fix bug where the UI redirects to login screen when enabling 2FA with invalid token
* Use unbound resolver when resolving NS record of a domain
* Various fixes for notifications
* Add FTP support for apps
* Add app version as part of info dialog
* (backup) Do not abort archive if file(s) disappear
* Show app upstream version in the info dialog
* Add Scaleway ObjectStorage backup backend
* Preserve update backups for 3 weeks
* Make send test mail functionality work with secondary domain
* Add support for an external email relay that does not require authentication
* Add option to accept self-signed certs when using external mail relay
* Allow publishing and listing community supported apps
* Remove spaces support
* Features implementation for customization

[4.0.1]
* Make it easier to import email
* Give SFTP access only to admins

[4.0.2]
* Fix GCDNS crash
* Add option to update without backing up

[4.0.3]
* Fix dashboard issue for non-admins

[4.1.0]
* Remove password requirement for uninstalling apps and users
* Hosting provider edition
* Enforce limits in mail container
* Fix crash when using unauthenticated relay
* Fix domain and tag filtering
* Customizable app icons
* Remove obsolete X-Frame-Options from nginx configs
* Give SFTP access based on access restriction

[4.1.1]
* Add UI hint about SFTP access restriction

[4.1.2]
* Accept incoming mail from a private relay
* Fix issue where unused addon images were not pruned
* Add UI for redirect from multiple domains
* Allow apps to be relocated to custom data directory
* Make all cloudron env vars have CLOUDRON_ prefix
* Update manifest version to 2
* Fix issue where DKIM keys were inaccessible
* Fix DKIM selector conflict when adding same domain across multiple cloudrons
* Fix name.com DNS backend issue for naked domains
* Add DigitalOcean Frankfurt (fra1) region for backup storage

[4.1.3]
* Update manifest format package

[4.1.4]
* Add CLOUDRON_ prefix to MySQL addon variables

[4.1.5]
* Make the terminal addon button inject variables based on manifest version
* Preserve addon passwords correctly when using v2 manifest
* Show error message instead of logging out user when invalid 2FA token is provided
* Ensure redis vars are renamed with manifest v2
* Add missing Scaleway Object Storage to restore UI
* Fix Exoscale endpoints in restore UI
* Reset the app icon when showing the configure UI

[4.1.6]
* Fix issue where CLOUDRON_APP_HOSTNAME was incorrectly set
* Remove chat link from the footer of login screen
* Add support for oplog tailing in mongodb
* Fix LDAP not accessible via scheduler containers

[4.1.7]
* Fix issue where login looped when admin bit was removed

[4.2.0]
* Fix issue where tar backups with files > 8GB was corrupt
* Add SparkPost as mail relay backend
* Add Wasabi storage backend
* TOTP tokens are now checked for with +- 60 seconds
* IP based restore
* Fix issue where task logs were not getting rotated correctly
* Add notification for box update
* User enable/disable flag
* Check disk space before various operations like install, update, backup etc
* Collect per app du information
* Set Cloudron specific UA for healthchecks
* Show message why an app task is 'pending'
* Rework app task system so that we can now pass dynamic arguments
* Add external LDAP server integration

[4.2.1]
* Rework the app configuration routes & UI
* Fine grained eventlog for app configuration
* Update Haraka to 2.8.24
* Set sieve_max_redirects to 64
* SRS support for mail forwarding
* Fix issue where sieve responses were not sent via the relay
* File based session store
* Fix API token error reporting for namecheap backend

[4.2.2]
* Fix typos in migration

[4.2.3]
* Remove flicker of custom icon
* Preserve PROVIDER setting from cloudron.conf
* Add Skip backup option when updating an app
* Fix bug where nginx was not reloaded on cert renewal

[4.2.4]
* Fix demo settings state regression

[4.2.5]
* Fix the demo settins fix

[4.2.6]
* Fix configuration of empty app location (subdomain)

[4.2.7]
* Fix issue where the icon for normal users was displayed incorrectly
* Kill stuck backup processes after 12 hours and notify admins
* Reconfigure email apps when mail domain is added/removed
* Fix crash when only udp ports are defined

[4.3.0]
* Add timeout to kill long running tasks in case they get stuck
* email: Auto-subscribe to Spam folder
* Allow setting a custom CSP policy
* ticket: when email is down, add a field to provide alternate contact email
* Re-work app import flow
* Add pagination and search to mailbox and mail alias listing
* Add UI and workflow to add a private registry
* Show external LDAP connector
* Network view: Allow IP address detection to be configurable
* Add support for custom docker registry
* Resolve any lists and aliases in a mailing list
* Rename Accounts view to Profile
* Add search for groups and user association UI

[4.3.1]
* Make logout from all button logout from all sessions
* List unstable apps by default
* Fix crash when listing mailboxes

[4.3.2]
* Update manifestformat module

[4.3.3]
* Fix bug where stopped containers got started on server restart
* Fix external LDAP UI and syncing
* Fix timeout being too low in docker proxy
* Make manifest.id optional for custom apps
* Fix registry detection in private images
* Make mailbox domain configurable for apps

[4.3.4]
* Do not error if fallback certs went missing
* Add 'New Apps' section to Appstore view
* Fix issue where graphs of some apps were not appearing

[4.4.0]
* Show swap in graphs
* Make avatars customizable
* Hide access tokens from logs
* Add missing '@' sign for email address in app mailbox
* Add app fqdn to backup progress message
* import: add option to import app in-place
* import: add option to import app from arbitrary backup config
* Show download progress for rsync backups
* Fix various repair workflows
* acme2: Implement post-as-get

[4.4.1]
* ami: fix AWS provider validation

[4.4.2]
* Fix crash when reporting that DKIM is not setup correctly
* Stopped apps cannot be updated or auto-updated
* eventlog: track support ticket creation and remote support status

[4.4.3]
* Add restart button in recovery section
* Fix issue where memory usage was not computed correctly
* cloudflare: support API tokens

[4.4.4]
* Fix bug where restart button in terminal was not working
* Add search field in apps view
* Make app view tags and domain filter persistent
* Add timezone UI

[4.4.5]
* Fix user listing regression in group edit dialog
* Do not show error page for 503
* Add mail list and mail box update events
* Certs of stopped apps are not renewed anymore
* Fix broken memory sliders in the services UI
* Set CPU Shares
* Update nodejs to 12.14.1
* Update MySQL addon packet size to 64M

[5.0.0]
* Show backup disk usage in graphs
* Add per-user app passwords
* Make app not responding page customizable
* Make footer customizable
* Add UI to import backups
* Display timestamps in browser timezone in the UI
* Mail eventlog and usage
* Add user roles - owner, admin, user manager and user
* Setup logrotate configs for collectd since upstream does not set it up
* mail: Add X-Envelope-To and X-Envelope-From headers for incoming mails
* linode: add object storage backend
* restore: carefully replace backup config
* spam: add default corpus and global db

[5.0.1]
* Show backup disk usage in graphs
* Add per-user app passwords
* Make app not responding page customizable
* Make footer customizable
* Add UI to import backups
* Display timestamps in browser timezone in the UI
* Mail eventlog and usage
* Add user roles - owner, admin, user manager and user
* Setup logrotate configs for collectd since upstream does not set it up
* mail: Add X-Envelope-To and X-Envelope-From headers for incoming mails
* linode: add object storage backend
* restore: carefully replace backup config
* spam: add default corpus and global db

[5.0.2]
* Show backup disk usage in graphs
* Add per-user app passwords
* Make app not responding page customizable
* Make footer customizable
* Add UI to import backups
* Display timestamps in browser timezone in the UI
* Mail eventlog and usage
* Add user roles - owner, admin, user manager and user
* Setup logrotate configs for collectd since upstream does not set it up
* mail: Add X-Envelope-To and X-Envelope-From headers for incoming mails
* linode: add object storage backend
* restore: carefully replace backup config
* spam: per mailbox bayes db and training

[5.0.3]
* Show backup disk usage in graphs
* Add per-user app passwords
* Make app not responding page customizable
* Make footer customizable
* Add UI to import backups
* Display timestamps in browser timezone in the UI
* Mail eventlog and usage
* Add user roles - owner, admin, user manager and user
* Setup logrotate configs for collectd since upstream does not set it up
* mail: Add X-Envelope-To and X-Envelope-From headers for incoming mails
* linode: add object storage backend
* restore: carefully replace backup config
* spam: per mailbox bayes db and training

[5.0.4]
* Fix potential previlige escalation because of ghost file
* linode: dns backend
* make branding routes owner only
* add branding API
* Add app start/stop/restart events
* Use the primary email for LE account
* make mail eventlog more descriptive

[5.0.5]
* Fix bug where incoming mail from dynamic hostnames was rejected
* Increase token expiry
* Fix bug in tag UI where tag removal did not work

[5.0.6]
* Make mail eventlog only visible to owners
* Make app password work with sftp

[5.1.0]
* Add turn addon
* Fix disk usage display
* Drop support for TLSv1 and TLSv1.1
* Make cert validation work for ECC certs
* Add type filter to mail eventlog
* mail: Fix listing of mailboxes and aliases in the UI
* branding: fix login page title
* Only a Cloudron owner can install/update/exec apps with the docker addon
* security: reset tokens are only valid for a day
* mail: fix eventlog db perms
* Fix various bugs in the disk graphs

[5.1.1]
* Add turn addon
* Fix disk usage display
* Drop support for TLSv1 and TLSv1.1
* Make cert validation work for ECC certs
* Add type filter to mail eventlog
* mail: Fix listing of mailboxes and aliases in the UI
* branding: fix login page title
* Only a Cloudron owner can install/update/exec apps with the docker addon
* security: reset tokens are only valid for a day
* mail: fix eventlog db perms
* Fix various bugs in the disk graphs
* Fix collectd installation
* graphs: sort disk contents by usage
* backups: show apps that are not automatically backed up in backup view

[5.1.2]
* Add turn addon
* Fix disk usage display
* Drop support for TLSv1 and TLSv1.1
* Make cert validation work for ECC certs
* Add type filter to mail eventlog
* mail: Fix listing of mailboxes and aliases in the UI
* branding: fix login page title
* Only a Cloudron owner can install/update/exec apps with the docker addon
* security: reset tokens are only valid for a day
* mail: fix eventlog db perms
* Fix various bugs in the disk graphs
* Fix collectd installation
* graphs: sort disk contents by usage
* backups: show apps that are not automatically backed up in backup view
* turn: deny local address peers https://www.rtcsec.com/2020/04/01-slack-webrtc-turn-compromise/

[5.1.3]
* Fix crash with misconfigured reverse proxy
* Fix issue where invitation links are not working anymore

[5.1.4]
* Add support for custom .well-known documents to be served
* Add ECDHE-RSA-AES128-SHA256 to cipher list
* Fix GPG signature verification

[5.1.5]
* Check for .well-known routes upstream as fallback. This broke nextcloud's caldav/carddav

[5.2.0]
* acme: request ECC certs
* less-strict DKIM check to allow users to set a stronger DKIM key
* Add members only flag to mailing list
* oauth: add backward compat layer for backup and uninstall
* fix bug in disk usage sorting
* mail: aliases can be across domains
* mail: allow an external MX to be set
* Add UI to download backup config as JSON (and import it)
* Ensure stopped apps are getting backed up
* Add OVH Object Storage backend
* Add per-app redis status and configuration to Services
* spam: large emails were not scanned
* mail relay: fix delivery event log
* manual update check always gets the latest updates
* graphs: fix issue where large number of apps would crash the box code (query param limit exceeded)
* backups: fix various security issues in encypted backups (thanks @mehdi)
* graphs: add app graphs
* older encrypted backups cannot be used in this version
* Add backup listing UI
* stopping an app will stop dependent services
* Add new wasabi s3 storage region us-east-2
* mail: Fix bug where SRS translation was done on the main domain instead of mailing list domain
* backups: add retention policy
* Drop `NET_RAW` caps from container preventing sniffing of network traffic

[5.2.1]
* Fix app disk graphs
* restart apps on addon container change

[5.2.2]
* regression: import UI
* Mbps -> MBps
* Remove verbose logs
* Set dmode in tar extract
* mail: fix crash in audit logs
* import: fix crash because encryption is unset
* create redis with the correct label

[5.2.3]
* Do not restart stopped apps

[5.2.4]
* mail: enable/disable incoming mail was showing an error
* Do not trigger backup of stopped apps. Instead, we will just retain it's existing backups
  based on retention policy
* remove broken disk graphs
* fix OVH backups

[5.3.0]
* better nginx config for higher loads
* backups: add CIFS storage provider
* backups: add SSHFS storage provider
* backups: add NFS storage provider
* s3: use vhost style
* Fix crash when redis config was set
* Update schedule was unselected in the UI
* cloudron-setup: --provider is now optional
* show warning for unstable updates
* add forumUrl to app manifest
* postgresql: add unaccent extension for peertube
* mail: Add Auto-Submitted header to NDRs
* backups: ensure that the latest backup of installed apps is always preserved
* add nginx logs
* mail: make authentication case insensitive
* Fix timeout issues in postgresql and mysql addon
* Do not count stopped apps for memory use
* LDAP group synchronization

[5.3.1]
* better nginx config for higher loads
* backups: add CIFS storage provider
* backups: add SSHFS storage provider
* backups: add NFS storage provider
* s3: use vhost style
* Fix crash when redis config was set
* Update schedule was unselected in the UI
* cloudron-setup: --provider is now optional
* show warning for unstable updates
* add forumUrl to app manifest
* postgresql: add unaccent extension for peertube
* mail: Add Auto-Submitted header to NDRs
* backups: ensure that the latest backup of installed apps is always preserved
* add nginx logs
* mail: make authentication case insensitive
* Fix timeout issues in postgresql and mysql addon
* Do not count stopped apps for memory use
* LDAP group synchronization

[5.3.2]
* Do not install sshfs package
* 'provider' is not required anymore in various API calls
* redis: Set maxmemory and maxmemory-policy
* Add mlock capability to manifest (for vault app)

[5.3.3]
* Fix issue where some postinstall messages where causing angular to infinite loop

[5.3.4]
* Fix issue in database error handling

[5.4.0]
* Update nginx to 1.18 for various security fixes
* Add ping capability (for statping app)
* Fix bug where aliases were displayed incorrectly in SOGo
* Add univention as LDAP provider
* Bump max_connection for postgres addon to 200
* mail: Add pagination to mailing list API
* Allow admin to lock email and display name of users
* Allow admin to ensure all users have 2FA setup
* ami: fix regression where we didn't send provider as part of get status call
* nginx: hide version
* backups: add b2 provider
* Add filemanager webinterface
* Add darkmode
* Add note that password reset and invite links expire in 24 hours

[5.4.1]
* Update nginx to 1.18 for various security fixes
* Add ping capability (for statping app)
* Fix bug where aliases were displayed incorrectly in SOGo
* Add univention as LDAP provider
* Bump max_connection for postgres addon to 200
* mail: Add pagination to mailing list API
* Allow admin to lock email and display name of users
* Allow admin to ensure all users have 2FA setup
* ami: fix regression where we didn't send provider as part of get status call
* nginx: hide version
* backups: add b2 provider
* Add filemanager webinterface
* Add darkmode
* Add note that password reset and invite links expire in 24 hours

[5.5.0]
* postgresql: update to PostgreSQL 11
* postgresql: add citext extension to whitelist for loomio
* postgresql: add btree_gist,postgres_fdw,pg_stat_statements,plpgsql extensions for gitlab
* SFTP/Filebrowser: fix access of external data directories
* Fix contrast issues in dark mode
* Add option to delete mailbox data when mailbox is delete
* Allow days/hours of backups and updates to be configurable
* backup cleaner: fix issue where referenced backups where not counted against time periods
* route53: fix issue where verification failed if user had more than 100 zones
* rework task workers to run them in a separate cgroup
* backups: now much faster thanks to reworking of task worker
* When custom fallback cert is set, make sure it's used over LE certs
* mongodb: update to MongoDB 4.0.19
* List groups ordered by name
* Invite links are now valid for a week
* Update release GPG key
* Add pre-defined variables ($CLOUDRON_APPID) for better post install messages
* filemanager: show folder first

[5.6.0]
* Remove IP nginx configuration that redirects to dashboard after activation
* dashboard: looks for search string in app title as well
* Add vaapi caps for transcoding
* Fix issue where the long mongodb database names where causing app indices of rocket.chat to overflow (> 127)
* Do not resize swap if swap file exists. This means that users can now control how swap is allocated on their own.
* SFTP: fix issue where parallel rebuilds would cause an error
* backups: make part size configurable
* mail: set max email size
* mail: allow mail server location to be set
* spamassassin: custom configs and wl/bl
* Do not automatically update to unstable release
* scheduler: reduce container churn
* mail: add API to set banner
* Fix bug where systemd 237 ignores --nice value in systemd-run
* postgresql: enable uuid-ossp extension
* firewall: add blocklist
* HTTP URLs now redirect directly to the HTTPS of the final domain
* linode: Add singapore region
* ovh: add sydney region
* s3: makes multi-part copies in parallel

[5.6.1]
* Blocklists are now stored in a text file instead of json
* regenerate nginx configs

[5.6.2]
* Update docker to 19.03.12
* Fix sorting of user listing in the UI
* namecheap: fix crash when server returns invalid response
* unlink ghost file automatically on successful login
* Bump mysql addon connection limit to 200
* Fix install issue where `/dev/dri` may not be present
* import: when importing filesystem backups, the input box is a path
* firewall: fix race condition where blocklist was not added in correct position in the FORWARD chain
* services: fix issue where services where scaled up/down too fast
* turn: realm variable was not updated properly on dashboard change
* nginx: add splash pages for IP based browser access
* Give services panel a separate top-level view
* Add app state filter
* gcs: copy concurrency was not used
* Mention why an app update cannot be applied and provide shortcut to start the app if stopped
* Remove version from footer into the setting view
* Give services panel a separate top-level view
* postgresql: set collation order explicity when creating database to C.UTF-8 (for confluence)
* rsync: fix error while goes missing when syncing
* Pre-select app domain by default in the redirection drop down
* robots: preseve leading and trailing whitespaces/newlines

[5.6.3]
* Fix postgres locale issue

[6.0.0]
* Focal support
* Reduce duration of self-signed certs to 800 days
* Better backup config filename when downloading
* branding: footer can have template variables like %YEAR% and %VERSION%
* sftp: secure the API with a token
* filemanager: Add extract context menu item
* Do not download docker images if present locally
* sftp: disable access to non-admins by default
* postgresql: whitelist pgcrypto extension for loomio
* filemanager: Add new file creation action and collapse new and upload actions
* rsync: add warning to remove lifecycle rules
* Add volume management
* backups: adjust node's heap size based on memory limit
* s3: diasble per-chunk timeout
* logs: more descriptive log file names on download
* collectd: remove collectd config when app stopped (and add it back when started)
* Apps can optionally request an authwall to be installed in front of them
* mailbox can now owned by a group
* linode: enable dns provider in setup view
* dns: apps can now use the dns port
* httpPaths: allow apps to specify forwarding from custom paths to container ports (for OLS)
* add elasticemail smtp relay option
* mail: add option to fts using solr
* mail: change the namespace separator of new installations to /
* mail: enable acl
* Disable THP
* filemanager: allow download dirs as zip files
* aws: add china region
* security: fix issue where apps could send with any username (but valid password)
* i18n support

[6.0.1]
* app: add export route
* mail: on location change, fix lock up when one or more domains have invalid credentials
* mail: fix crash because of write after timeout closure
* scaleway: fix installation issue where THP is not enabled in kernel

[6.1.0]
* mail: update haraka to 2.8.27. this fixes zero-length queue file crash
* update: set/unset appStoreId from the update route
* proxyauth: Do not follow redirects
* proxyauth: add 2FA
* appstore: add category translations
* appstore: add media category
* prepend the version to assets when sourcing to avoid cache hits on update
* filemanger: list volumes of the app
* Display upload size and size progress
* nfs: chown the backups for hardlinks to work
* remove user add/remove/role change email notifications
* persist update indicator across restarts
* cloudron-setup: add --generate-setup-token
* dashboard: pass accessToken query param to automatically login
* wellknown: add a way to set well known docs
* oom: notification mails have links to dashboard
* collectd: do not install xorg* packages
* apptask: backup/restore tasks now use the backup memory limit configuration
* eventlog: add logout event
* mailbox: include alias in mailbox search
* proxyAuth: add path exclusion
* turn: fix for CVE-2020-26262
* app password: fix regression where apps are not listed anymore in the UI
* Support for multiDomain apps (domain aliases)
* netcup: add dns provider
* Container swap size is now dynamically determined based on system RAM/swap ratio

[6.1.1]
* Fix bug where platform does not start if memory limits could not be applied

[6.1.2]
* App disk usage was not shown in graphs
* Email autoconfig
* Fix SOGo login

[6.2.0]
* ovh: object storage URL has changed from s3 to storage subdomain
* ionos: add profit bricks object storage
* update node to 14.15.4
* update docker to 20.10.3
* new base image 3.0.0
* postgresql updated to 12.5
* redis updated to 5.0.7
* dovecot updated to 2.3.7
* proxyAuth: fix docker UA detection
* registry config: add UI to disable it
* update solr to 8.8.1
* firewall: fix issue where script errored when having more than 15 wl/bl ports
* If groups are used, do not allow app installation without choosing the access settings
* tls addon
* Do not overwrite existing DMARC record
* Sync dns records
* Dry run restore
* linode: show cloudron is installing when user SSHs
* mysql: disable bin logs
* Show cancel task button if task is still running after 2 minutes
* filemanager: fix various bugs involving file names with spaces
* Change Referrer-policy default to 'same-origin'
* rsync: preserve and restore symlinks
* Clean up backups function now removes missing backups

[6.2.1]
* Avoid updown notifications on full restore
* Add retries to downloader logic in installer

[6.2.2]
* Fix ENOBUFS issue with backups when collecting fs metadata

[6.2.3]
* Fix addon crashes with missing databases
* Update mail container for LMTP cert fix
* Fix services view showing yellow icon

[6.2.4]
* Another addon crash fix

[6.2.5]
* update: set memory limit properly
* Fix bug where renew certs button did not work
* sftp: fix rebuild condition
* Fix display of user management/dashboard visiblity for email apps
* graphite: disable tagdb and reduce log noise

[6.2.6]
* Fix issue where collectd is restarted too quickly before graphite

[6.2.7]
* redis: backup before upgrade

[6.2.8]
* linode object storage: update aws sdk to make it work again
* Fix crash in blocklist setting when source and list have mixed ip versions
* mysql: bump connection limit to 200
* namecheap: fix issue where DNS updates and del were not working
* turn: turn off verbose logging
* Fix crash when parsing df output (set LC_ALL for box service)

[6.3.0]
* mail: allow TLS from internal hosts
* tokens: add lastUsedTime
* update: set memory limit properly
* addons: better error handling
* filemanager: various enhancements
* sftp: fix rebuild condition
* app mailbox is now optional
* Fix display of user management/dashboard visiblity for email apps
* graphite: disable tagdb and reduce log noise
* hsts: change max-age to 2 years
* clone: copy over redis memory limit
* namecheap: fix bug where records were not removed
* add UI to disable 2FA of a user
* mail: add active flag to mailboxes and lists
* Implement OCSP stapling
* security: send new browser login location notification email
* backups: add fqdn to the backup filename
* import all boxdata settings into the database
* volumes: generate systemd mount configs based on type
* postgresql: set max conn limit per db
* ubuntu 16: add alert about EOL
* clone: save and restore app config
* app import: restore icon, tag, label, proxy configs etc
* sieve: fix redirects to not do SRS
* notifications are now system level instead of per-user
* vultr DNS
* vultr object storage
* mail: do not forward spam to mailing lists

[6.3.1]
* Fix cert migration issues

[6.3.2]
* Avatar was migrated as base64 instead of binary
* Fix issue where filemanager came up empty for CIFS mounts

[6.3.3]
* volumes: add filesystem volume type for shared folders
* mail: enable sieve extension editheader
* mail: update solr to 8.9.0

[6.3.4]
* Fix issue where old nginx configs where not removed before upgrade

[6.3.5]
* Fix permission issues with sshfs
* filemanager: reset selection if directory has changed
* branding: fix error highlight with empty cloudron name
* better text instead of "Cloudron in the wild"
* Make sso login hint translatable
* Give unread notifications a small left border
* Fix issue where clicking update indicator opened app in new tab
* Ensure notifications are only fetched and shown for at least admins
* setupaccount: Show input field errors below input field
* Set focus automatically for new alias or redirect
* eventlog: fix issue where old events are not periodically removed
* ssfs: fix chown

[6.3.6]
* Fix broken reboot button
* app updated notification shown despite failure
* Update translation for sso login information
* Hide groups/tags/state filter in app listing for normal users
* filemanager: Ensure breadcrumbs and hash are correctly updated on folder navigation
* cloudron-setup: check if nginx/docker is already installed
* Use the addresses of all available interfaces for port 53 binding
* refresh config on appstore login
* password reset: check 2fa when enabled

[7.0.0]
* Ubuntu 16 is not supported anymore
* Do not use Gravatar as the default but only an option
* redis: suppress password warning
* setup UI: fix dark mode
* wellknown: response to .wellknown/matrix/client
* purpose field is not required anymore during appstore signup
* sftp: fix symlink deletion
* Show correct/new app version info in updated finished notification
* Make new login email translatable
* Hide ticket form if cloudron.io mail is not verified
* Refactor code to use async/await
* postgresql: bump shm size and disable parallel queries
* update nodejs to 14.17.6
* external ldap: If we detect a local user with the same username as found on LDAP/AD we map it
* add basic eventlog for apps in app view
* Enable sshfs/cifs/nfs in app import UI
* Require password for fallback email change
* Make password reset logic translatable
* support: only verified email address can open support tickets
* Logout users without 2FA when mandatory 2fa is enabled
* notifications: better oom message for redis
* Add way to impersonate users for presetup
* mail: open up port 465 for mail submission (TLS)
* Implement operator role for apps
* sftp: normal users do not have SFTP access anymore. Use operator role instead
* eventlog: add service rebuild/restart/configure events
* upcloud: add object storage integration
* Each app can now have a custom crontab
* services: add recovery mode
* postgresql: fix restore issue with long table names
* recvmail: make the addon work again
* mail: update solr to 8.10.0
* mail: POP3 support
* update docker to 20.10.7
* volumes: add remount button
* mail: add spam eventlog filter type
* mail: configure dnsbl
* mail: add duplication detection for lists
* mail: add SRS for Sieve Forwarding

[7.0.1]
* Fix matrix wellKnown client migration

[7.0.2]
* mail: POP3 flag was not returned correctly
* external ldap: fix crash preventing users from logging in
* volumes: ensure we don't crash if mount status is unexpected
* backups: set default backup memory limit to 800
* users: allow admins to specify password recovery email
* retry startup tasks on database error

[7.0.3]
* support: fix remoe support not working for 'root' user
* Fix cog icon on app grid item hover for darkmode
* Disable password reset and impersonate button for self user instead of hiding them
* pop3: fix crash with auth of non-existent mailbox
* mail: fix direction field in eventlog of deferred mails
* mail: fix eventlog search
* mail: save message-id in eventlog
* backups: fix issue which resulted in incomplete backups when an app has backups disabled
* restore: do not redirect until mail data has been restored
* proxyauth: set viewport meta tag in login view

[7.0.4]
* Add password reveal button to login pages
* appstore: fix crash if account already registered
* Do not nuke all the logrotate configs on update
* Remove unused httpPaths from manifest
* cloudron-support: add option to reset cloudron.io account
* Fix flicker in login page
* Fix LE account key re-use issue in DO 1-click image
* mail: add non-tls ports for recvmail addon
* backups: fix issue where mail backups where not cleaned up
* notifications: fix automatic app update notifications

[7.1.0]
* Add mail manager role
* mailbox: app can be set as owner when recvmail addon enabled
* domains: add well known config UI (for jitsi configuration)
* Prefix email addon variables with CLOUDRON_EMAIL instead of CLOUDRON_MAIL
* remove support for manifest version 1
* Add option to enable/disable mailbox sharing
* base image 3.2.0
* Update node to 16.13.1
* mongodb: update to 4.4
* Add `upstreamVersion` to manifest
* Add `logPaths` to manifest
* Add cifs seal support for backup and volume mounts
* add a way for admins to set username when profiles are locked
* Add support for secondary domains
* postgresql: enable postgis
* remove nginx config of stopped apps
* mail: use port25check.cloudron.io to check outbound port 25 connectivity
* Add import/export of mailboxes and users
* LDAP server can now be exposed
* Update monaco-editor to 0.32.1
* Update xterm.js to 4.17.0
* Update docker to 20.10.12
* IPv6 support

[7.1.1]
* Fix issue where dkimKey of a mail domain is sometimes null
* firewall: add retry for xtables lock
* redis: fix issue where protected mode was enabled with no password

[7.1.2]
* Fix crash in cloudron-firewall when ports are whitelisted
* eventlog: add event for certificate cleanup
* eventlog: log event for mailbox alias update
* backups: fix incorrect mountpoint check with managed mounts

[7.1.3]
* Fix security issue where an admin can impersonate an owner
* block list: can upload up to 2MB
* dns: fix issue where link local address was picked up for ipv6
* setup: ufw may not be installed
* mysql: fix default collation of databases

[7.1.4]
* wildcard dns: fix handling of ENODATA
* cloudflare: fix error handling
* openvpn: ipv6 support
* dyndns: fix issue where eventlog was getting filled with empty entries
* mandatory 2fa: Fix typo in 2FA check

[7.2.0]
* mail: hide log button for non-superadmins
* firewall: do not add duplicate ldap redirect rules
* ldap: respond to RootDSE
* Check if CNAME record exists and remove it if overwrite is set
* cifs: use credentials file for better password support
* installer: rework script to fix DNS resolution issues
* backup cleaner: do not clean if not mounted
* restore: fix sftp private key perms
* support: add a separate system user named cloudron-support
* sshfs: fix bug where sshfs mounts were generated without unbound dependancy
* cloudron-setup: add --setup-token
* notifications: add installation event
* backups: set label of backup and control it's retention
* wasabi: add new regions (London, Frankfurt, Paris, Toronto)
* docker: update to 20.10.14
* Ensure LDAP usernames are always treated lowercase
* Add a way to make LDAP users local
* proxyAuth: set X-Remote-User (rfc3875)
* GoDaddy: there is now a delete API
* nginx: use ubuntu packages for ubuntu 20.04 and 22.04
* Ubuntu 22.04 LTS support
* Add Hetzner DNS
* cron: add support for extensions (@reboot, @weekly etc)
* Add profile backgroundImage api
* exec: rework API to get exit code
* Add update available filter

[7.2.1]
* Refactor backup code to use async/await
* mongodb: fix bug where a small timeout prevented import of large backups
* Add update available filter
* exec: rework API to get exit code
* Add profile backgroundImage api
* cron: add support for extensions (@reboot, @weekly etc)

[7.2.2]
* Update cloudron-manifestformat for new scheduler patterns
* collectd: FQDNLookup causes collectd install to fail

[7.2.3]
* appstore: allow re-registration on server side delete
* transfer ownership route is not used anymore
* graphite: fix issue where disk names with '.' do not render
* dark mode fixes
* sendmail: mail from display name
* Use volumes for app data instead of raw path
* initial xfs support

[7.2.4]
* volumes: Ensure long volume names do not overflow the table
* Move all appstore filter to the left
* app data: allow sameness of old and new dir

[7.2.5]
* Fix storage volume migration
* Fix issue where only 25 group members were returned
* Fix eventlog display

[7.3.0]
* Proxied apps
* Applinks - app bookmarks in dashboard
* backups: optional encryption of backup file names
* eventlog: add event for impersonated user login
* ldap & user directory: Remove virtual user and admin groups
* Randomize certificate generation cronjob to lighten load on Let's Encrypt servers
* mail: catch all address can be any domain
* mail: accept only STARTTLS servers for relay
* graphs: cgroup v2 support
* mail: fix issue where signature was appended to text attachments
* redis: restart button will now rebuild if the container is missing
* backups: allow space in label name
* mail: fix crash when solr is enabled on Ubuntu 22 (cgroup v2 detection fix)
* mail: fix issue where certificate renewal did not restart the mail container properly
* notification: Fix crash when backupId is null
* IPv6: initial support for ipv6 only server
* User directory: Cloudron connector uses 2FA auth
* port bindings: add read only flag
* mail: add storage quota support
* mail: allow aliases to have wildcard
* proxyAuth: add supportsBearerAuth flag
* backups: Fix precondition check which was not erroring if mount is missing
* mail: add queue management API and UI
* graphs: show app disk usage graphs
* UI: fix issue where mailbox display name was not init correctly
* wasabi: add singapore and sydney regions
* filemanager: add split view
* nginx: fix zero length certs when out of disk space
* read only API tokens

[7.3.1]
* Add cloudlare R2
* app proxy: fixes to https proxying
* app links: fix icons

[7.3.2]
* support: require owner permissions
* postgresql: fix issue when restoring large dumps
* graphs: add cpu/disk/network usage
* graphs: new disk usage UI
* relay: add office 365

[7.3.3]
* Fix oom detection in tasks
* ldap: memberof is a DN and not just group name
* mail relay: office365 provider
* If we can't fetch applink upstreamUri, just stop icon and title detection
* manifest: add runtimeDirs
* remove external df module
* Show remaining disk space in usage graph
* Make users and groups available for the new app link dialog
* Show swaps in disk graphs
* disk usage: run once a day
* mail: fix 100% cpu use with unreachable servers
* security: do not password reset mail to cloudron owned mail domain
* logrotate: only keep 14 days of logs
* mail: fix dnsbl count when all servers are removed
* applink: make users and groups available for the new app link dialog
* Show app disk usage in storage tab
* Make volume read-only checkbox a dropdown

[7.3.4]
* Display platform update status in the UI
* Fix image pruning

[7.3.5]
* du: fix crash when filesystem is cifs/nfs/sshfs
* Start with a default to not fail if no swap is present
* Fix bug in cert cleanup logic causing it to repeatedly cleanup
* Fix crash in RBL check
* unbound: disable controller interface explicitly
* Fix issue where cert renewal logs where not displayed
* Fix loading of mailboxes

[7.3.6]
* aws: add melbourne region
* Fix display of box backups
* mail usage: fix issue caused by deleted mailboxes
* reverseproxy: fix issue where renewed certs are not written to disk
* support: fix crash when opening tickets with 0 length files

[7.4.0]
* **IMPORTANT**: This is the last release of Cloudron to support Ubuntu 18.04. Please [upgrade](https://docs.cloudron.io/guides/upgrade-ubuntu-20/) to Ubuntu 20.04 (Focal Fossa) at the earliest.
* Update base image to jammy
* backups: Add idrive e2
* Support proxyAuth for proxy app
* Update addons to use Ubuntu jammy (mongodb 4.4, postgres 14.5, mysql 8.0.31, redis 6.0)
* cloudflare: add config for default value of proxied
* eventlog: keep 3 months
* services: give static IPs to internal databases
* eventlog: only prune login and logout events
* Support HSTS preloading
* Add porkbun dns provider
* Initial OpenID integration
* dyndns: update dynamic dns of apps that are updating
* logs: order existing logs by date
* volumes: list block devices
* aws: add Asia Pacific and Africa regions
* exoscale: add sofia and munich regions
* vultr: add bangalore and silicon valley
* dyndns: update secondary/redirect/alias domains as well
* DO spaces: add sydney and singapore
* scaleway: add warsaw region
* domains: add pagination and search filter
* Add disk speeds to disk usage data
* Add danish translation . Dansk oversættelse er tilføjet. Mange tak til @jayonrails!
* acme: support DoT + ClientID

[7.4.1]
* support: Fix issue where app support tickets could not be opened
* reverseproxy: prevent duplication of STS header
* services: fix issue with timeout when restoring large databases
* notifications: email configuration error shown incorrectly
* OpenID: add RSA-SHA256 signature algorithm

[7.4.2]
* dns: Add Bunny.net
* Fix ipv4 vs ipv6 detection
* Fix misleading pending security updates message

[7.4.3]
* **IMPORTANT**: This is the last release of Cloudron to support Ubuntu 18.04. Please [upgrade](https://docs.cloudron.io/guides/upgrade-ubuntu-20/) to Ubuntu 20.04 (Focal Fossa) at the earliest.
* postgresql: fix for supporting Taiga with postgres 14

[7.5.0]
* **IMPORTANT**: This is the last release of Cloudron to support CPUs without AVX support. AVX support is required for MongoDB 5.0. See https://forum.cloudron.io/topic/8785/avx-support-in-your-vps-server for more information.
* acme: handle LE validation type cache logic
* improve viewing of logs
* redis: update to 7.0.11
* ionos profitbricks: add new regions Berlin and Logrono
* docker: update to 23.0.6
* network: trusted IPs
* mail: fix crash when editing quota of new mailboxes
* mail: update haraka to 3.0.2
* mail: fix issue where client IP was leaked in headers
* mail: skip SPF check of authenticated senders
* filemanager: new UI, support for large folders and lazy loading
* oidc: make UI translatable
* oidc: dashboard login uses oidc
* web terminal: Copy selected terminal text with ctrl shift c
* Expose alias domains as `CLOUDRON_ALIAS_DOMAINS`

[7.5.1]
* **IMPORTANT**: This is the last release of Cloudron to support CPUs without AVX support. AVX support is required for MongoDB 5.0. See https://forum.cloudron.io/topic/8785/avx-support-in-your-vps-server for more information.
* mail: Fix issue where mail usage sizes where reported incorrectly
* filemanager: Only init vue app after we fetch language files to avoid UI shaking
* mail: Clear the correct mail status notification
* filemanager: allow pasting on non-folders to cwd
* mail: give resolver more time
* dashboard: backup logs links are grayed out because of z-index
* branding: make oidc login does not use cloudron name
* translation: fix crash when translated text has single quote (french)
* dyndns: show logs
* mail: server location get it's own section
* optional services: redis & turn . joins sendmail, recvmail
* backups: encrypted backups must have .enc extension
* mail: add virtual all mail mailbox
* redirections: use 301 (permanent) instead of 302 (temporary) for redirections. this is better for SEO links
* graphs: show old backup size if > 1GB
* docker: fix image pruning
* Major overhaul of the REST API
* Fix import via SSHFS and CIFS

[7.5.2]
* mail: Fix default max mail size to 25MB (and not 25MiB)
* dashboard: disable 2fa setup for external users
* filemanager: Always show app or volume name
* filemanager: fix logs button link
* backups: add Contabo object storage
* Fix incorrect migration of directory server setting
* support: Add explicit billing issue ticket type
* Fix broken directory server config migration
* system: fix crash updating disk usage
* Fix crash in renew certs call from cron

[7.6.0]
* Update MongoDB to 5.0. Important: this release requires AVX support in CPU
* turn: add ddos mitigation settings
* api: return json when route not found
* oidc: loginRedirectUri can be empty string
* New base image 4.2.0. `cloudron/base:4.2.0@sha256:46da2fffb36353ef714f97ae8e962bd2c212ca091108d768ba473078319a47f4`
* mail: add option to enable/disable Virtual All mailbox
* volumes: edit options for network mounts
* oidc: fix issue with redirects not working on iOS apps
* app proxy: Host header is set to match the proxy domain instead of the target domain
* notifications: Add color coded indicator to notifications
* oidc: add oidc logo as login indicator for apps
* dyndns: update dns every 10 mins

[7.6.1]
* Cleanup backup validation mount point
* dashboard: remove nginx config of old domain when domain changed
* Show disk consumption of docker volumes for /run and /tmp of apps separately
* dns: add dnsimple automation
* roles: admin role can access branding and networking
* dns: add ovh backend

[7.6.2]
* mail: fix issue with redis emitting warnings non-stop
* mail: fix issue where doublle header was sent
* ovh: fix nameserver matching
* logviewer: preserve horizontal scroll position
* redis: use default instead of redisuser
* dockerproxy: allow child containers to access volumes
* dashboard: Show system information
* Fix linode object storage
* postgres: enable cube, vector and earthdistance extensions
* Add ability to register a Cloudron with a setupToken only
* support: replace ticket section with help section
* firewall: increase blocklist size to 262144

[7.6.3]
* postgres: do not clear search_path for restore
* route53: retry on rate limit errors
* update: continue with app update if box update does not start

[7.6.4]
* mail: update limit plugin
* ldap: fix error messages to show proper error messages in the external LDAP connector
* dashboard: fix various UI elements hidden for admin user
* directoryserver: fix totp validation
* email: improve loading of the mail usage to not block other views from loading
* eventlog: add events for directory server and exernal directory configuration
* externalldap: available regardless of subscription
* externalldap: show syncer log history
* externalldap: sync is now run periodically (every 4 hours)
* profile: changing email now requires password

[7.7.0]
* OIDC avatar support via picture claim
* backupcleaner: fix bug where preserved backups were removed incorrectly
* directoryserver: cloudflare warning
* oidc/ldap: fix display name parsing to send anything after first name as the last name
* mail: Update haraka to 3.0.3
* mongodb: Update mongodb to 6.0
* acme: use secp256r1 curve for max compatibility
* add port range support
* docker: disable userland proxy
* oidc: always re-setup oidc client record
* mail: update solr to 8.11.3
* mail: spam acl should allow underscore and question mark
* Fix streaming of logs with `logPaths`
* profile: store user language setting in the database

[7.7.1]
* postgresql: fix bug in loading of contrib extensions
* dashboard: use native slider element for app memory and cpu

[7.7.2]
* docker: use unix domain socket based logging instead of udp
* dashboard: use native slider element for app memory and cpu
* filemanager: fix empty folder content layout
* dashboard: preserve app link paths
* backups: deleted apps must also be displayed in contents
* filemanager: make uploads cancellable
* Fix crash on systemds with no swap

[8.0.0]
* mongodb: optionally start mongodb based on AVX support
* dashboard: font and color improvements
* docker: prune volumes on infra change
* oidc: initial login of admin and normal user now gets an OIDC session
* branding: default background image for the dashboard
* dashboard: list view for apps
* import: fix crash when using mountpoint provider
* dashboard: set '/' as keyboard shortcut
* app: memory limit is redefined to be just RAM and unlimited swap
* dashboard: rework filter UI
* cpu: rework cpu shares into cpu quota
* cifs: enable seal encryption by default
* updatechecker: fix bug where release info was not refreshed
* ovh: storage location domain has changed. add rbx region
* domains: add deSEC integration
* notfound: better message when navigating by IP address
* IPv6 only server installation
* Initial Ubuntu 24.04 (Noble Numbat) support
* syslog: handle potential multiline syslog input
* user directory: fixes to mandatory 2fa setting when cloudron connector is used
* notification: do not send login notification for external users
* dashboard: pending checklist indicator
* cloudron-support: add --recreate-docker and --recreate-container
* filemanager: add dark mode
* proxyauth: now uses oidc instead of ldap auth
* dashboard: add admin notes
* Use systemd-resolved as the system resolver. unbound is now only for mail server and recursive DNS lookups

[8.0.1]
* nfs: disable rpcbind service. we only support nfsv4 mounting
* dashboard: only show postinstall if notes are not just empty
* ami: disable route53
* mailer: add html version of test mail
* sshfs: server side copying
* backups: rewrite tgz backups using tar-stream
* backups: fix issue with s3 backend where files missing in remote was not detected correctly
* provision: redirect to correct task (setup/restore/activation)

[8.0.2]
* tgz: fix unhandled promise error handler
* tgz: add underflow/overflow proxy stream to ensure size of a changing file
* backups: give task a low oomScoreAdjust to not get killed
* Fix issue with uploads via File Manager where temp files were not cleaned up
* addons: fix crash when importing database of an app with no addons
* sshfs: if remote copy fails, fallback to sshfs based copy
* frontend: reduce DOM node creation on very fast logstreams and cap to 1k loglines

[8.0.3]
* logs: fix recursion when displaying box logs
* frontend: fix clear view in logs viewer
* dashboard: support links/markdown in checklist items

[8.0.4]
* ami: IMDv2 support
* ionos: add contract-owned eu-central-3
* dashboard: remove mailbox import/export feature
* backupcleaner: do not remove the backup in progress
* backups: make noop upload work again
* volumes: `/mnt/volumes` is reserved
* apps: do not log app logs to output
* sftp: restore mode and owner
* dashboard: also render checklist items in apps.html

[8.0.5]
* cpu quota: fix rounding error
* frontend: fix translation resolver to actually fallback to english
* i18n: fix crash if language file is missing
* memory: fix slider UI where max was incorrectly set
* digitalocean: add LON1 Spaces region
* exoscale: add sos AT-VIE-2 region
* i18n: remove use of "Cloudron"
* tz: add note in backup and update UI
* backups: do not overflow the schedule timings
* checklist: new checklist items on update are acknowledged
* backups: automatically trigger a remount if mount is not active
* logs: rework the syslog parser
* docker: use system dns for app containers
* logs: show error message in UI when log rotated
* unbound: prefer ip4 for dns queries (only on ubuntu 24 and above)
* apps: allow operators to update apps

[8.0.6]
* Fix AdGuard resolving dashboard to docker bridge IP

[8.1.0]
* backups: add hetzner object storage
* registry: cloudron container registry
* gandi: add PAT token support
* OpenID: add groups claim support
* OpenID: enable refresh token support (dokuwiki)
* filemanger: fix various regressions
* dashboard: mobile and dark-mode fixes
* syslog: fix multiline timestamps
* porkbun: use new API endpoint
* fix "happy eyeballs" quirk in nodejs
* Update nodejs to 20.18.0

[8.2.0]
* rsync: show better error message with too many empty dirs, symlinks or executables
* mail: update Solr to 8.11.4
* mail: update Haraka to 3.0.5
* Add sqlite3 addon
* docker: update docker to 27.3.1
* du: add exclude file to skip filesystem usage checks
* mail: attachment search
* oidc: use cloudron name as provider name
* groups: add eventlog
* resources: allow mounting devices into apps
* remove global lock
* hetzner: add helsinki object storage location
* backups: implement app archive
* notifications: per user email notification config
* postgres: enable vector extension
* docker: fallback to downloading images from quay if dockerhub does not work

[8.2.1]
* apps: fix bug where update and notes indicator was shown to normal users
* archive: disable archiving for pre-8.2 backups. we don't have enough info to unarchive
* dashboard: fix browser caching issue

[8.2.2]
* gandi: add token type in the setup view
* mail: fix issue with dkim signing
* mail: fix crash in dns list plugin
* scheduler: create jobs with cloudron tz setting
* security: fix issue where '/' symlink allows admins to get ssh access

[8.2.3]
* mail: give container a static IP
* firewall: add masquerading rules for containers to reach each other via public IP
* docker: fix parsing of optional namespace in image refs

[8.2.4]
* restore: fix crash with invalid backup id
* setup: add inwx to dns setup
* backups: add preserve attributes checkbox
* mail: add ipv6 rdns check
* mail: disable OCR in tika. this is too slow
* mail: rebuild index script
* backups: add preserve attributes checkbox
* username: only ending with .app is reserved
* cloudron-support: add helper function to free up disk space when full
* cloudflare: list API does not return `zone_id` anymore

[8.3.0]
* new base image: cloudron/base:5.0.0@sha256:04fd70dbd8ad6149c19de39e35718e024417c3e01dc9c6637eaf4a41ec4e596c
* Database upgrades are automatically performed. This might take some time depending on the amount of data.
* Postgres v16
* Mongodb v7
* PHP v8.3
* Node.js v22 LTS

[8.3.1]
* Fix crash in postgresql pgvector extension

[8.3.2]
* Bring back immich vectors hook in postgres addon

[9.0.0]
* UI redesign
* notifications: email notification when server reboot is required
* notifications: email notification when cloudron update failed
* notifications: email notification for low disk space (90%)
* node: update to 22.20.0
* docker: update to 28.1.1
* s3: automatically abort old multipart uploads
* notifications: validate domains configs
* ldap: automatically detect pagination support
* ubuntu: alert for 20.04 support being deprecated
* domains: vanity nameservers
* token: access can by restricted by ip range(s)
* sendmail: requiresValidCertificate option for using mail server domain
* mail: update haraka to 3.1.1
* sshfs: implement rm via ssh
* multiple docker registries
* mail: rename delivered -> sent and received -> saved in event log
* graphs: replace collectd with custom collector
* graphs: live graphs
* graphs: add system disk and network graph
* profile: drop gravatar support
* login: suppress notification of impersonated users
* mongodb: reduce verbosity of logs
* redis: disable by default when optional
* apps: fix issue where operations on stopped apps errored
* eventlog: Fix incorrect eventlog that the update crashed
* database: change charset to utf8mb4. this allows emojis everywhere!
* mail: add brevo as relay provider
* mail: add rbl6 check
* eventlog: mail server change log
* profile: avatar cannot be changed when profile is locked
* app backup: no more part alters app state. runs completely in background
* system: disk usage is not collected in background. new disk ui, computes space on demand
* backups: multiple backup targets
* port bindings: add `enabledByDefault` property in manifest
* backups: store integrity information and perform validation
* reverse proxy: remove OCSP support. this is being deprecated in favor of CRLs
* sqlite: fix issue where dump was also logged when backing up
* backups: remove noop backend

[9.0.1]
* redis: update to 8.2.2
* Split the ubuntu version and cloudron version
* Restructure sidebar menu items
* eventlog: fix display of backup (sites) events
* app archive: fix download config
* graphs: fix performance issue when selecting apps
* Support overwrite DNS in app install dialog
* encryption: do not allow password and hint to be the same
* Add better grouping to mailbox owner select
* eventlog: display task log link when available
* add ephemeral port warning
* rsync: fix integrity computation

[9.0.2]
* backupsite: only owner can add a site
* remove max-height from the users view and groups view tables
* backups: fix listing when stats is null
* graphs: fix detection of rootfs block device
* sidebar: ldap/openid/directory should not be visible to non-admins
* sidebar: email domains, eventlog, settings is only for admins
* reload dashboard on Cloudron version change
* Always start with a fresh domains list for the apps filter
* sysinfo: fallback to product family if product vendor is empty
* archive: display the site name of latest backup
* graphs: fix flickering of disk graph item
* graphs: fix issue with live graph time calculation

[9.0.3]
* Fix submit state for login form
* Avoid flickering of SystemUpdate view when update is busy
* backuptask: fix crash when accessing stats of old backups
* backup sites: fix listing when status call errors
* backups: display mail backup stats
* Add missing autocomplete attributes on forms
* Refresh backup site status and task in the background
* Hide non-owner actions for backup sites
* Move app start/stop back to the main toolbar
* Fix styling in public page
* network: fix ip caching bug
* Change default footer to not have the forum link
* Fix troubleshooting tool
* Give domains list a larger max-height
* Make app error compatible with previous releases

[9.0.4]
* filemanager: fix missing translations
* display backup duration
* add hetznercloud DNS provider

[9.0.5]
* access control/operators: remove deleted users and groups
* backupcleaner: fix scoping of cleanup by site id
* Use normal buttons for app start/stop
* site schedule: Fix hourly display

[9.0.6]
* Autofocus search in appstore view
* All settings in sidebar should be same icon
* Make backup content list a TableView so we can sort it by size and fileCount
* Fix filemanager for custom apps
* Sort apps in the grid by label
* Filter dropdowns are searchable with more than 10 entries
* Show app icons in the grid in grayscale if app is stopped
* Support wildcard domain aliases in app location

[9.0.7]
* externalldap: only set group members if they changed
* Fix issue where backups remote paths were incorrectly migrated

[9.0.8]
* Add explicit option to disable automatic backups
* backups: show same filesystem warning
* Fix tgz app backup download
* Fix mailbox usage and quota sorting
* Give sshfs identity files unique filenames across mounts
* Do not share relay provider setting with view and form
* cloudflare: ensure defaultProxyStatus in older configs
* filter: fix domain search to include redirect/alias/secondary domains
* Use full URLs for page preview icons and favicon
* email: fix masquerade toggle

[9.0.9]
* minio: fix issue with accepting selfsigned certs
* applink: fix button text in edit mode
* password reset: show error message if any
* sshfs: use a temporary identity file for remote ssh copy
* access control: always show the user management section
* update: show the last update error, if any

[9.0.10]
* Only enable LdapServer input fields if feature is enabled
* Require display name to not be empty when changed from the profile view
* access control: fix spacing
* storage: pass limits object to backend

[9.0.11]
* mail: fix count indicator when loading
* mailinglist: fix search on name
* backup site: fix migration with mixed formats

[9.0.12]
* eventlog: always fetch enough event logs to fill the screen
* mail: check for outbound ipv6 connectivity
* store actual appId not oidc clientId for log in events
* Add english labels for eventlog filtering
* mail: when deferred, show reason
* mail: prefer ipv4 for outbound mail

[9.0.13]
* Fix issue where footer/name can break templates
* rsync: bump empty dir limit to 80k
* nginx: do not log query params
* Fetch mailbox usage in the background to not delay mailbox listing
* cloudron-support: add --check-services and add it to troubleshoot
* Do not poll services if they are in recoveryMode
* restore/import: fix issue where prefix was empty

[9.0.14]
* Also use a temporary SSH identity file for optimized ssh remote rm -rf
* app search: title is optional manifest
* network: detect default ipv6 interface when no ipv4 interface
* mail status: fix rbl display
* platform: show any container upgrade errors in the UI
* users: make remove 2fa separate dialog
* mandatory 2fa: show undismissable dialog and warning
* restore: validate ipv6 config
* location: use the domain where app is installed as default
* s3: remove leading slash in CopySource
* gcs: fix copy operation
* restore: fix crash when trying to mount fs volumes
* restore: teardown pseudo backup site
* oidc: add separate jwks key route for cloudflare access

[9.0.15]
* sshfs: Use unique temporary ssh key file for each ssh remote operation

[9.0.16]
* Update mongodb to 7.0.28 (also fixes mongobleed)
* docker: do not use auth for appstore images
* backup: add synology C2
* mail: update haraka to 3.1.2
* csp/robots: add common patterns

[9.0.17]
* Update mongodb to 7.0.28 (also fixes mongobleed)
* UI: add favorites for list views
* UI: add collapsible sidebar
* docker: do not use auth for appstore images
* backup: add synology C2
* mail: update haraka to 3.1.2
* csp/robots: add common patterns

[9.0.18]
* ami & cloud images: fix setup

[9.1.0]
* acme: ARI support . https://www.rfc-editor.org/rfc/rfc9773.txt
* Update nodejs to 24.13.0
* Update docker to 29.1.5
* Update mongodb to 8.0.17
* Update redis to 8.4.0
* Add notification view. settings have moved to this new view.
* updater: skip backup site check when user skips backup
* community packages
* source builds
* backups: add integrity check UI
* Fix fonts on chrome
* applinks: fix acl UI
* services: rename sftp to filemanager, graphite to metrics
* app passwords: add expiry
* DO Spaces: add missing ATL1, BLR1, SYD1 regions
* filemanager: the terminal button automatically cds into the cwd
* filemanager: add a tree view
* passkey support
* security: remove cors
* support card/cal dav well-known endpoints
* add backupCommand, restoreCommand, persistentDirs
* Update Haraka to 3.1.3

[9.1.1]
* cli: use web based browser login flow

[9.1.2]
* apps: avoid flickering with filters
* apps: move to error state if a volume is unavailable
* apps: enable storage view in all error states
* postgres: update pgvector to 0.8.2
* appstore: add ai category
* appstore: better tag/cateogry mapping
* i18n: add Czech translations
* Support and prefer Dockerfile.cloudron in local builds
* integrity: show status in the info dialog
* backup: show integrity column for dependsOn backups
* integrity: show log link
* syncer: fix bug with a file and dir having same prefix

[9.1.3]
* Remove 'Dashboard' from dashboard page title
* integrity: skip check of backups with no integrity info
* backupintegrity: add percent progress
* apps: fix acl display

[9.1.4]
* services: lazy start services / on demand services
* restore: fix restore of trusted ips and blocklist
* dashboard: wait for dashboard reload when version has changed
* graphite: fix aggregation of block/network read/write
* Workaround chrome quirks on file drop handling
* notifications: add empty text, progress bar and inifinite scroll
* rsync: throttle log messages during download
* backup logs: make them much terse and concise
* oidc: implement Device Authorization Grant
* operator: fix viewing of backup progress and logs
* notification: automatic app update failure notification
* backup sites: identify conflicting site locations
* update: add policy to update apps and platform separately
* passkey: fix issue where passkeys were lost on restart
* passkey: implement passwordless login
* oidcserver: fix jwks_rsaonly response

[9.1.5]
* services: lazy start services / on demand services
* restore: fix restore of trusted ips and blocklist
* dashboard: wait for dashboard reload when version has changed
* graphite: fix aggregation of block/network read/write
* Workaround chrome quirks on file drop handling
* notifications: add empty text, progress bar and inifinite scroll
* rsync: throttle log messages during download
* backup logs: make them much terse and concise
* oidc: implement Device Authorization Grant
* operator: fix viewing of backup progress and logs
* notification: automatic app update failure notification
* backup sites: identify conflicting site locations
* update: add policy to update apps and platform separately
* passkey: fix issue where passkeys were lost on restart
* passkey: implement passwordless login
* oidcserver: fix jwks_rsaonly response

